(***********************************************************************



                    Mathematica-Compatible Notebook



This notebook can be used on any computer system with Mathematica 3.0,

MathReader 3.0, or any compatible application. The data for the notebook 

starts with the line of stars above.



To get the notebook into a Mathematica-compatible application, do one of 

the following:



* Save the data starting with the line of stars above into a file

  with a name ending in .nb, then open the file inside the application;



* Copy the data starting with the line of stars above to the

  clipboard, then use the Paste menu command inside the application.



Data for notebooks contains only printable 7-bit ASCII and can be

sent directly in email or through ftp in text mode.  Newlines can be

CR, LF or CRLF (Unix, Macintosh or MS-DOS style).



NOTE: If you modify the data for this notebook not in a Mathematica-

compatible application, you must delete the line below containing the 

word CacheID, otherwise Mathematica-compatible applications may try to 

use invalid cache data.



For more information on notebooks and Mathematica-compatible 

applications, contact Wolfram Research:

  web: http://www.wolfram.com

  email: info@wolfram.com

  phone: +1-217-398-0700 (U.S.)



Notebook reader applications are available free of charge from 

Wolfram Research.

***********************************************************************)



(*CacheID: 232*)





(*NotebookFileLineBreakTest

NotebookFileLineBreakTest*)

(*NotebookOptionsPosition[    127778,       3610]*)

(*NotebookOutlinePosition[    156446,       4606]*)

(*  CellTagsIndexPosition[    155190,       4570]*)

(*WindowFrame->Normal*)







Notebook[{



Cell[CellGroupData[{

Cell[TextData[{

  StyleBox["Theorema",

    FontSlant->"Italic",

    FontColor->RGBColor[0, 0, 1]],

  ":\nTheorem Proving for the Masses\nUsing ",

  StyleBox["Mathematica",

    FontSlant->"Italic",

    FontColor->RGBColor[0, 0, 1]]

}], "Subtitle",

  TextAlignment->Center,

  TextJustification->0,

  CellTags->"title"],



Cell[TextData[{

  "Bruno Buchberger\nand ",

  StyleBox["Theorema",

    FontSlant->"Italic"],

  " Working Group"

}], "Subsubtitle",

  TextAlignment->Center,

  TextJustification->0],



Cell[TextData[{

  "RISC\nResearsch Institute for Symbolic Computation\nA4232 Castle of \

Hagenberg, Austria\n                Bruno.Buchberger@RISC.Uni-Linz.ac.at      \

   ",

  ButtonBox["\[Rule]",

    ButtonData:>"contents",

    ButtonStyle->"Hyperlink"],

  "     "

}], "Text",

  TextAlignment->Center,

  TextJustification->0],



Cell[BoxData[

    \(\(\n\n\n\n\n\)\)], "Input"],



Cell[CellGroupData[{



Cell["Contents", "Section",

  CellDingbat->None,

  FontSize->36,

  Background->RGBColor[1, 1, 0]],



Cell[TextData[{

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "mathematics-def"},

    ButtonStyle->"Hyperlink"],

  "  What is Mathematics?\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "present-systems"},

    ButtonStyle->"Hyperlink"],

  "  Mathematical Software Systems and Theorema\n \n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "computing-session"},

    ButtonStyle->"Hyperlink"],

  "  Theorema Computing Sessions\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "computing-in-proving-sessions"},

    ButtonStyle->"Hyperlink"],

  "  Theorema Computing in Proving Sessions\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "proving-in-proving-sessions"},

    ButtonStyle->"Hyperlink"],

  "  Theorema Proving in Proving Sessions\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>{

      FrontEnd`FileName[ {"C:", "data-work", "papers", 

        "980618-Mathematica-Chicago", "Talk"}, 

        "Mathematica-98-Chicago-98-June-20.nb", CharacterEncoding -> 

        "WindowsANSI"], "propositional-proving"},

    ButtonStyle->"Hyperlink"],

  "  Example: Theorema Propositional Proving\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>"quantifier-distributivity",

    ButtonStyle->"Hyperlink"],

  "  Example: Theorema Predicate Logic Proving\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>"definition-of-+-and-*",

    ButtonStyle->"Hyperlink"],

  "  Example: Theorema Natural Number Induction Proving\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>"length-of-concatenation",

    ButtonStyle->"Hyperlink"],

  "  Example: Theorema Sequence Induction Proving\n\n",

  ButtonBox["\[EmptyCircle]",

    ButtonData:>"conclusion",

    ButtonStyle->"Hyperlink"],

  "  Conclusion"

}], "Subsection",

  CellDingbat->None,

  FontSize->17,

  CellTags->"contents"],



Cell[CellGroupData[{



Cell["What is Mathematics?", "Subsection"],



Cell[CellGroupData[{



Cell["A \"Definition\"", "Subsubsection",

  CellTags->"mathematics-def"],



Cell[BoxData[{

    RowBox[{

      FormBox[\(Mathematics\ is\),

        "TextForm"], " "}], 

    FormBox[\(knowledge\ generation\ and\ problem\ solving\),

      "TextForm"], 

    FormBox[\(by\ reasoning\),

      "TextForm"]}], "Text",

  CellFrame->True,

  TextAlignment->Center,

  TextJustification->0,

  Background->RGBColor[1, 1, 0]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"knowledge-acquisition",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n",

  ButtonData:>"knowledge-acquisition",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Knowledge Acquisition and Problem Solving", "Subsubsection"],



Cell[TextData[{

  "Knowledge derivation and problem solving are only ",

  StyleBox["two sides of the same coin",

    FontColor->RGBColor[0, 0, 1]],

  ".        "

}], "Text",

  CellTags->"knowledge-acquisition"],



Cell[TextData[{

  StyleBox["Example",

    FontWeight->"Bold"],

  ": "

}], "Text"],



Cell[TextData[{

  "For ",

  StyleBox["deriving the knowledge",

    FontColor->RGBColor[0, 0, 1]]

}], "Text"],



Cell[BoxData[

    \(\[ForAll] \+F\(\ \[Exists] \)\+G\ \ \ \ \ Ideal[F] = 

      Ideal[G]\ \  \[And] \ \ is\[Dash]Groebner\[Dash]basis[G]\)], "Input"],



Cell[TextData[{

  "we need to ",

  StyleBox["solve the problem ",

    FontColor->RGBColor[0, 0, 1]],

  "of constructing Groebner bases. ",

  ButtonBox["\[Rule]",

    ButtonData:>"GB",

    ButtonStyle->"Hyperlink"]

}], "Text"],



Cell[TextData[ButtonBox["",

  ButtonData:>"GB",

  ButtonStyle->"Hyperlink"]], "Text"],



Cell[BoxData[

    \(\(\n\n\n\n\)\)], "Input"],



Cell[TextData[{

  StyleBox["Example",

    FontWeight->"Bold"],

  ": "

}], "Text"],



Cell[TextData[{

  "For ",

  StyleBox["solving the problem",

    FontColor->RGBColor[0, 0, 1]],

  " of constructing Groebner bases we have to ",

  StyleBox["derive new \"algorithmically useful\" knowledge",

    FontColor->RGBColor[0, 0, 1]],

  ", namely"

}], "Text",

  CellTags->"GB"],



Cell[BoxData[

    \(is\[Dash]Groebner\[Dash]basis[G]\[DoubleLongLeftRightArrow]\n\t

        \(\[ForAll] \+\(f, g \[Element] G\)normal\[Dash]form[

            S\[Dash]polynomial[f, g], G]\) = 0. \)], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"creativity-spiral",

  ButtonStyle->"Hyperlink"]], "Text"],



Cell[BoxData[

    \(\(\n\n\n\n\n\)\)], "Input"]

}, Open  ]],



Cell[CellGroupData[{



Cell["How Do we \"Do\" Mathematics? ", "Subsubsection"],



Cell["The \"Creativity Spiral\" of Mathematics:", "Text",

  TextAlignment->Left,

  TextJustification->0,

  CellTags->"creativity-spiral"],



Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: .525 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics

%%IncludeResource: font Courier

%%IncludeFont: Courier

/Courier findfont 10  scalefont  setfont

% Scaling calculations

0.5 0.119048 0.250595 0.119048 [

[ 0 0 0 0 ]

[ 1 .525 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 0 m

1 0 L

1 .525 L

0 .525 L

closepath

clip

newpath

1 1 1 r

.008 w

.02381 .0125 Mdot

.02381 .5125 Mdot

.97619 .5125 Mdot

.97619 .0125 Mdot

0 0 0 r

.5 Mabswid

newpath

.5 .2506 .21429 10 80 arc

s

.69643 .30417 m

.70833 .28036 L

.72024 .30417 L

s

newpath

.5 .2506 .21429 280 350 arc

s

.54167 .04821 m

.52381 .03631 L

.54762 .03631 L

s

newpath

.5 .2506 .21429 190 260 arc

s

.30357 .19702 m

.29167 .22083 L

.27976 .19702 L

s

newpath

.5 .2506 .21429 100 170 arc

s

.45833 .45298 m

.47619 .46488 L

.45238 .46488 L

s

newpath

.5 .2506 .2381 110 170 arc

s

.41071 .46488 m

.42857 .47679 L

.40476 .48274 L

s

gsave

.5 .49464 -145.875 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

(Computational) show

175.312500 21.312500 moveto

(Results) show

228.750000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Roman

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Roman

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Roman

grestore

gsave

.79762 .36964 -110 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.312500 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

(INVENTING) show

157.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Italic

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Italic

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Italic

grestore

gsave

.7381 .2506 -102.719 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

(Conjecture) show

142.437500 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Roman

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Roman

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Roman

grestore

gsave

.79762 .13155 -101.781 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.125000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

(PROVING) show

140.562500 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Italic

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Italic

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Italic

grestore

gsave

.5 .01845 -95.6563 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

(Theorem) show

128.312500 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Roman

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Roman

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Roman

grestore

gsave

.20238 .13155 -128.906 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.125000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

(PROGRAMMING) show

194.812500 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Italic

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Italic

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Italic

grestore

gsave

.2619 .2506 -100.688 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.000000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

(Algorithm) show

138.375000 21.312500 moveto

%%IncludeResource: font Times-Roman

%%IncludeFont: Times-Roman

/Times-Roman findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

0.000000 0.000000 1.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Roman

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Roman

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Roman

grestore

gsave

.20238 .36964 -115.844 -15.3125 Mabsadd m

1 1 Mabs scale

currentpoint translate

0 30.625 translate 1 -1 scale

gsave

0.000000 0.000000 0.000000 setrgbcolor

1.000000 setlinewidth

gsave

newpath

 61.000000 26.625000 moveto

 464.000000 26.625000 lineto

 464.000000 4.000000 lineto

 61.000000 4.000000 lineto

 61.000000 26.625000 lineto

closepath

clip newpath

63.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

63.000000 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

(COMPUTING) show

168.687500 21.312500 moveto

%%IncludeResource: font Times-Italic

%%IncludeFont: Times-Italic

/Times-Italic findfont 18.000000 scalefont

[1 0 0 -1 0 0 ] makefont setfont

1.000000 0.000000 0.000000 setrgbcolor

0.000000 0.000000 rmoveto

1.000000 setlinewidth

grestore

grestore

%%DocumentNeededResources: font Times-Italic

%%DocumentSuppliedResources:

%%DocumentNeededFonts: Times-Italic

%%DocumentSuppliedFonts:

%%DocumentFonts: font Times-Italic

grestore

% End of Graphics

MathPictureEnd

\

\>"], "Graphics",

  ImageSize->{370.063, 194.125},

  ImageMargins->{{41, 0}, {0, 0}},

  ImageRegion->{{0, 1}, {0, 1}},

  ImageCache->GraphicsData["Bitmap", "\<\

CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;T0001Q1000`40O003h00OogooogooiWoo003o

OoooOooVOol00?mooomoonIoo`00ogoo=goo2@0O1goo1`0O0Woo1`0O1goo1@0O2goo1P0O1goo1`0O

2Woo1@0O1Woo1`0O0Woo1`0O0Woo1`0Oogoo=Woo003oOoliOol501l;Ool301l6Ool301l7Ool801l8

Ool401l4Ool201l7Ool301l:Ool801l7Ool301l6Ool301l6Ool301ooOolhOol00?moocYoo`<07`ao

o`<07`Ioo`<07`Ioo`X07`Ioo`<07`Moo`807`Ioo`<07`Uoo`X07`Ioo`<07`Ioo`<07`Ioo`<07omo

ocQoo`00ogoo>Woo0`0O37oo0`0O1Woo0`0O1Goo1@0O1Goo0P0O17oo100O1goo0`0O1Goo0`0O27oo

1@0O1Goo0P0O1Goo0`0O1Woo0`0O1Woo0`0Oogoo>7oo003oOoljOol301l<Ool301l6Ool301l5Ool4

01l7Ool00`0OOomoo`02Ool301l8Ool301l5Ool301l8Ool401l7Ool00`0OOomoo`03Ool301l6Ool3

01l6Ool301ooOolhOol00?moocYoo`<07`aoo`<07`Ioo`<07`Aoo`@07`Qoo`807`9oo`@07`Uoo`<0

7`Aoo`<07`Moo`@07`Qoo`807`Aoo`<07`Ioo`<07`Ioo`<07omoocQoo`00ogoo>Woo0`0O37oo0`0O

1Woo0`0O17oo100O2Goo00<07gooOol0100O2Goo0`0O17oo0`0O1goo100O2Goo00<07gooOol00Woo

0`0O1Woo0`0O1Woo0`0Oogoo>7oo003oOoljOol301l<Ool301l6Ool301l4Ool301l=Ool301l:Ool3

01l4Ool301l7Ool301l?Ool301l6Ool301l6Ool301ooOolhOol00?moocYoo`<07`aoo`<07`Ioo`<0

7`Aoo`<07`eoo`<07`Yoo`<07`Aoo`<07`Moo`<07`moo`<07`Ioo`<07`Ioo`<07omoocQoo`00ogoo

>Woo0`0O37oo0`0O1Woo0`0O17oo0`0O3Goo0`0O2Goo100O17oo0`0O1goo0`0O3goo0`0O1Woo0`0O

1Woo0`0Oogoo>7oo003oOoljOol301l<Ool301l6Ool301l4Ool>01l2Ool301l9Ool401l4Ool301l7

Ool>01l4Ool301l6Ool301l6Ool301ooOolhOol00?moocYoo`<07`aoo`<07`Ioo`<07`Eoo`807`Mo

o`@07`=oo`<07`Qoo`<07`Eoo`<07`Qoo`807`Moo`@07`Aoo`<07`Ioo`<07`Ioo`<07omoocQoo`00

ogoo>Woo0`0O37oo100O1Goo0`0O1Goo0P0O1goo0`0O17oo0`0O1goo100O1Goo100O1goo0P0O1goo

0`0O1Goo100O1Goo100O1Goo0`0Oogoo>7oo003oOoljOol301l<Ool301l00goo01moo`02Ool401l6

Ool201l5Ool401l5Ool201l7Ool301l4Ool601l2Ool301l3Ool201l5Ool401l3Ool501l00goo01mo

o`02Ool401l00goo01moo`02Ool401ooOolhOol00?moocYoo`<07`aoo`<07`9oo`H07`Qoo`807`=o

o`@07`Moo`<07`=oo`@07`Ioo`@07`03Ool07`0O00<07`Aoo`807`=oo`@07`Eoo`@07`9oo`H07`=o

o`H07omoocUoo`00ogoo>Woo0`0O37oo0`0O0goo100O2goo1@0O2goo1P0O2Woo0P0O0Woo0`0O1goo

1@0O2Goo0P0O0goo100O1Goo100Oogoo>Woo003oOoljOol301l<Ool301ooOonJOol00?moocYoo`<0

7`aoo`<07omooiYoo`00ogoo>Woo0`0O37oo0`0OogooVWoo003oOolbOol00`0OOomoo`05Ool301l7

Ool00`0OOomoo`02Ool301ooOonJOol00?mooc9oo`0301moogoo00Eoo`<07`Moo`0301moogoo009o

o`<07omooiYoo`00ogoo<Woo0P0O1Woo0`0O1Woo0P0O17oo0`0OogooVWoo003oOolbOol301l5Ool3

01l5Ool301l2Ool501ooOonJOol00?mooc9ooa<07`=oo`@07omooiYoo`00ogooBWoo0P0O>7oo4P00

ogooD7oo003oOon5Ool2003oOomOOol00?mooeIoo`8002moo`03001oogoo00Aoo`03001oogoo0?mo

oeEoo`00ogooDgoo0`00<Woo0P001Goo0`00ogooE7oo003oOom=Ool6000gOol00`00Oomoo`05Ool6

003oOom>Ool00?moodYoo`<003ioo`03001oogoo00Yoo`<00?mood]oo`00ogooAgoo0`00@Woo0P00

3Goo0`00ogooB7oo003oOom1Ool60017Ool00`00Oomoo`0=Ool6003oOom2Ool00?moocioo`<004io

o`8001=oo`<00?moocmoo`00ogoo?7oo0P00Dgoo00<007ooOol04goo0`00ogoo?7oo003oOoljOol2

001^Ool2003oOoljOol00?moocQoo`80079oo`03001oogoo0?moocMoo`00ogoo=Woo0P00MGoo0P00

ogoo=goo003oOolcOol3001iOol3003oOoldOol00?mooc1oo`<007moo`<00?mooc5oo`00ogoo;Woo

0P00QGoo0P00ogoo;goo003oOol]Ool00`00Oomoo`27Ool00`00Oomoo`3oOol/Ool00?moob]oo`80

08]oo`800?moobaoo`00ogoo:7oo0`00Sgoo0`00ogoo:Goo003oOolVOol2002EOol2003oOolWOol0

0?moobEoo`03001oogoo09Moo`03001oogoo0?moobAoo`00ogoo8goo0P00Vgoo0P00ogoo97oo003o

OolQOol2002OOol2003oOolROol00?moob1oo`03001oogoo0:5oo`800?moob1oo`00ogoo7Woo0P00

YWoo00<007ooOol0ogoo7Goo003oOolLOol2002YOol2003oOolMOol00?mooa]oo`03001oogoo0:]o

o`800?mooa]oo`00ogoo6Woo00<007ooOol0[Woo00<007ooOol0ogoo67oo003oOolHOol2002bOol0

0`00Oomoo`3oOolGOol00?mooaMoo`03001oogoo0;=oo`03001oogoo0?mooaIoo`00ogoo5Woo00<0

07ooOol0]Goo0P00ogoo5Woo003oOolDOol2002jOol00`00Oomoo`3oOolCOol00?mooa9oo`800;eo

o`800?mooa=oo`00ogoo4Goo00<007ooOol0_goo00<007ooOol0ogoo47oo003oOol@Ool00`00Oomo

o`31Ool00`00Oomoo`3oOol?Ool00?moo`ioo`800<Eoo`800?moo`moo`00ogoo3Goo00<007ooOol0

agoo00<007ooOol0ogoo37oo003oOol<Ool00`00Oomoo`39Ool00`00Oomoo`3oOol;Ool00?moo`]o

o`03001oogoo0<]oo`03001oogoo0?moo`Yoo`00ogoo2Woo00<007ooOol0cGoo00<007ooOol0ogoo

2Goo003oOol9Ool00`00Oomoo`3?Ool00`00Oomoo`3oOol8Ool00?moo`Qoo`03001oogoo0=5oo`03

001oogoo0?moo`Moo`00ogoo1goo00<007ooOol0dgoo00<007ooOol0ogoo1Woo003oOol5Ool2003G

Ool2003oOol6Ool00?moo`Aoo`03001oogoo0=Uoo`03001oogoo0?moo`=oo`00ogoo0goo00<007oo

Ool0fgoo00<007ooOol0ogoo0Woo003oOol2Ool00`00Oomoo`3MOol00`00Oomoo`3oOol1Ool00?mo

o`5oo`03001oogoo0=moo`03001oogoo0?moo`00ogoo00<007ooOol0hGoo00<007ooOol0oWoo003n

Ool00`00Oomoo`3SOol00`00Oomoo`3mOol00?ioo`03001oogoo0>=oo`03001oogoo0?eoo`00oGoo

00<007ooOol0iGoo00<007ooOol0o7oo003lOol00`00Oomoo`3WOol00`00Oomoo`3kOol00?]oo`03

001oogoo0>Uoo`03001oogoo0?Yoo`00nWoo00<007ooOol0jgoo00<007ooOol0nGoo003iOol00`00

Oomoo`3]Ool00`00Oomoo`3hOol00?Qoo`03001oogoo0>moo`03001oogoo0?Moo`00mgoo00<007oo

Ool0lGoo00<007ooOol0mWoo003fOol00`00Oomoo`3cOol00`00Oomoo`3eOol0011oo`Ul00aoo`Ul

00Qoo`Il00Moo`Ml01Eoo`Ul00Moo`Ul00Qoo`]l00Iooa5l00Eoo`03O01oogoo00Aooa9l00Eoo`03

O01oogoo00Aoo`Yl0003Ooml07`000Ql009oo`Ml00Yoo`03O01oo`0000ioo`Ul0=ioo`03001oogoo

00ioo`Ul00aoo`Ul00Qoo`Il00Moo`Ml015oo`03O01oogoo00eoo`Yl009oo`Ml00Yoo`03O01oogoo

00ioo`Ul05Eoo`004goo17`04Goo17`02Woo17`01goo0g`01Goo17`047oo0g`01goo17`01goo17`0

2Woo17`00Woo17`02Woo1G`017oo0W`01goo0g`027oo17`01Woo0W`01goo0g`027oo17`01goo17`0

27oo0W`037oo0W`03Goo0g`01goo17`0g7oo00<007ooOol047oo17`04Goo17`02Woo17`01goo0g`0

1Goo17`03Woo0W`04Goo17`027oo0W`037oo0W`03Goo0g`01goo17`0DWoo000DOol3O00BOol3O00:

Ool3O007Ool3O008Ool3O00=Ool3O00;Ool3O007Ool3O00:Ool3O004Ool2O00<Ool3O006Ool00g`0

Oomoo`05Ool3O008Ool4O007Ool00g`0Oomoo`05Ool3O008Ool4O008Ool3O009Ool00g`0Oomoo`0:

Ool2O00;Ool3O00;Ool3O03LOol00`00Oomoo`0@Ool3O00BOol3O00:Ool3O007Ool3O008Ool3O00=

Ool3O00AOol3O009Ool00g`0Oomoo`0:Ool2O00;Ool3O00;Ool3O01AOol001Aoo`=l019oo`=l00Uo

o`Al00Ioo`=l00]oo`=l00Yoo`=l00aoo`=l00Moo`=l00Uoo`Al00Eoo`9l00]oo`=l00Ioo`03O01o

ogoo00Eoo`Al00Qoo`=l00Moo`03O01oogoo00Eoo`Al00Qoo`=l00Qoo`=l00Uoo`03O01oogoo00Uo

o`=l00Yoo`=l00aoo`=l0=eoo`03001oogoo00moo`=l019oo`=l00Uoo`Al00Ioo`=l00]oo`=l00]o

o`Al011oo`=l00Uoo`03O01oogoo00Uoo`=l00Yoo`=l00aoo`=l055oo`0057oo0g`04Woo0g`02Goo

0g`01goo0g`037oo0g`02Goo0W`03Goo0g`01goo0g`02Goo0g`01goo00=l07ooOol02Goo0g`01Woo

00=l07ooOol01Goo0g`000=oog`0Ool01Woo0g`01goo00=l07ooOol01Goo0g`000=oog`0Ool01Woo

0g`027oo0g`02Goo00=l07ooOol02Goo17`02Goo0W`03Goo0g`0gWoo00<007ooOol03Woo0g`04Woo

0g`02Goo0g`01goo0g`037oo0g`02goo17`03goo0g`02Goo00=l07ooOol02Goo17`02Goo0W`03Goo

0g`0DGoo000EOol3O00BOol3O008Ool3O006Ool3O00=Ool4O007Ool3O00=Ool3O008Ool3O008Ool3

O008Ool00g`0Oomoo`08Ool3O007Ool00g`0Oomoo`04Ool3O002Ool00g`0Oomoo`05Ool3O007Ool0

0g`0Oomoo`04Ool3O002Ool00g`0Oomoo`05Ool3O008Ool3O009Ool00g`0Oomoo`07Ool3O0000goo

O01oo`07Ool3O00=Ool3O03NOol00`00Oomoo`0?Ool3O00BOol3O008Ool3O006Ool3O00=Ool4O00:

Ool4O00@Ool3O009Ool00g`0Oomoo`07Ool3O0000gooO01oo`07Ool3O00=Ool3O01AOol001Eoo`=l

019oo`=l00Moo`=l00Moo`=l00ioo`=l00Moo`9l00moo`=l00Moo`=l00Moo`=l00Yoo`03O01oogoo

00Moo`=l00Moo`03O01oogoo00Aoo`=l00=oo`03O01oogoo00Aoo`=l00Moo`03O01oogoo00Aoo`=l

00=oo`03O01oogoo00Aoo`=l00Qoo`=l00Uoo`03O01oogoo00Moo`=l0003Ooml07oo00Moo`9l00mo

o`=l0=ioo`03001oogoo00ioo`=l019oo`=l00Moo`=l00Moo`=l00ioo`=l00Yoo`=l0003Ooml07oo

00ioo`=l00Uoo`03O01oogoo00Moo`=l0003Ooml07oo00Moo`9l00moo`=l051oo`005Goo0g`04Woo

0g`01goo0g`01goo0g`03goo0g`01Goo0g`03goo0g`01goo0g`01goo0g`02Woo00=l07ooOol01goo

0g`01goo00=l07ooOol00goo17`00goo00=l07ooOol017oo0g`01goo00=l07ooOol00goo17`00goo

00=l07ooOol017oo0g`027oo0g`02Goo00=l07ooOol01Woo00@007`0O01l009oo`03O01oogoo00Ao

o`=l00moo`=l0=moo`03001oogoo00eoo`=l019oo`=l00Moo`=l00Moo`=l00moo`=l00Uoo`=l009o

o`03O01oogoo00aoo`=l00Uoo`03O01oogoo00Moo`=l009oo`03O01oogoo00Aoo`=l00moo`=l051o

o`005Woo0g`04Woo0W`01goo0g`01goo0g`03goo17`017oo0g`03goo0g`027oo0W`01goo0g`02goo

37`01goo00=l07ooOol00goo0g`01Goo00=l07ooOol00goo17`01Woo00=l07ooOol00goo0g`01Goo

00=l07ooOol00goo17`027oo0g`02Goo00=l07ooOol017oo00@007`0O01l00=oo`03O01oogoo00Ao

o`=l00moo`=l0=moo`03001oogoo00ioo`=l019oo`9l00Moo`=l00Moo`=l00moo`Al00Qoo`=l00=o

o`03O01oogoo00aoo`=l00Uoo`03O01oogoo00Eoo`=l00=oo`03O01oogoo00Aoo`=l00moo`=l051o

o`005Woo0g`04Woo0g`01Goo0g`027oo0g`047oo0g`017oo0g`03goo0g`027oo0g`01Goo0g`03Goo

00=l07ooOol01Goo0g`027oo00=l07ooOol00Woo0g`01Woo00=l07ooOol00goo0g`01goo00=l07oo

Ool00Woo0g`01Woo00=l07ooOol00goo0g`027oo0g`02Goo00=l07ooOol00goo00<007ooO0000W`0

0goo00=l07ooOol017oo0g`03goo0g`0h7oo00<007ooOol03Goo0g`04Woo0g`01Goo0g`027oo0g`0

47oo0g`027oo0g`017oo00=l07ooOol02goo0g`02Goo00=l07ooOol01Goo0g`00goo00=l07ooOol0

17oo0g`03goo0g`0D7oo000FOol3O00BOol3O005Ool3O008Ool3O00@Ool4O003Ool3O00?Ool4O007

Ool3O005Ool3O00>Ool00g`0Oomoo`04Ool3O008Ool00g`0Oomoo`02Ool3O007Ool00g`0Oomoo`02

Ool3O007Ool00g`0Oomoo`02Ool3O007Ool00g`0Oomoo`02Ool3O008Ool3O009Ool00g`0Oomoo`03

Ool01000O01l07`017oo00=l07ooOol017oo0g`03goo17`0ggoo00<007ooOol03Goo0g`04Woo0g`0

1Goo0g`027oo0g`047oo17`01goo0g`017oo00=l07ooOol02goo0g`02Goo00=l07ooOol017oo0g`0

17oo00=l07ooOol017oo0g`03goo17`0Cgoo000FOol3O0000gooO01l0005O00:Ool3O005Ool3O008

Ool4O00@Ool3O003Ool3O00?Ool5O006Ool3O005Ool3O00>Ool00g`0Oomoo`04Ool3O008Ool00g`0

Oomoo`02Ool3O007Ool00g`0Oomoo`02Ool3O007Ool00g`0Oomoo`02Ool3O007Ool00g`0Oomoo`02

Ool3O008Ool3O009Ool00g`0Oomoo`02Ool00`00Ooml0002O005Ool00g`0Oomoo`03Ool3O00?Ool5

O03OOol00`00Oomoo`0<Ool3O0000gooO01l0005O00:Ool3O005Ool3O008Ool4O00@Ool3O007Ool3

O005Ool00g`0Oomoo`0:Ool3O009Ool00g`0Oomoo`04Ool3O005Ool00g`0Oomoo`03Ool3O00?Ool5

O01>Ool001Moo`=l00Ioo`=l00Uoo`]l00Qoo`=l011oo`=l00=oo`=l00aoo`Yl00Eoo`]l00ioo`03

O01oogoo00=oo`=l00Uoo`04O01oogooOol3O008Ool00g`0Oomoo`02Ool3O007Ool017`0Oomoogoo

0g`027oo00=l07ooOol00Woo0g`027oo0g`02Goo00Al07ooOol0009oo`=l00Eoo`03O01oogoo00=o

o`=l00aoo`Yl0=ioo`03001oogoo00aoo`=l00Ioo`=l00Uoo`]l00Qoo`=l011oo`=l00Moo`=l00Io

o`03O01oogoo00Yoo`=l00Uoo`03O01oogoo00=oo`=l00Eoo`03O01oogoo00=oo`=l00aoo`Yl04ao

o`005goo0g`027oo0g`01goo0g`01Woo17`01Woo0g`047oo17`00Woo0g`06goo0g`01Woo17`03Goo

00=l07ooOol00Woo0g`02Goo00Al07ooOomoo`=l00Uoo`04O01oogooOol3O007Ool017`0Oomoogoo

0g`02Goo00Al07ooOomoo`=l00Qoo`=l00Uoo`03O01oo`00009oo`=l00Ioo`03O01oogoo00=oo`=l

0?Eoo`03001oogoo00]oo`=l00Qoo`=l00Moo`=l00Ioo`Al00Ioo`=l011oo`Al00Ioo`=l00Moo`03

O01oogoo00Uoo`=l00Uoo`03O01oogoo009oo`=l00Ioo`03O01oogoo00=oo`=l069oo`005goo0g`0

2Goo0g`01Woo0g`027oo0g`01Goo17`047oo0g`00goo0g`06Woo0g`027oo0g`037oo00=l07ooOol0

0goo0W`02Goo00=l07ooOol00g`02goo00=l07ooOol00g`01goo00=l07ooOol00g`02goo00=l07oo

Ool00g`027oo0g`02Goo00=l07oo00000Woo0g`01goo00=l07ooOol00goo0g`0m7oo00<007ooOol0

2goo0g`02Goo0g`01Woo0g`027oo0g`01Goo17`047oo0g`01goo0g`01goo00=l07ooOol027oo0g`0

2Goo00=l07ooOol00Woo0g`01goo00=l07ooOol00goo0g`0HGoo000HOol3O008Ool3O007Ool2O009

Ool3O005Ool3O00@Ool3O003Ool3O00KOol2O009Ool3O00<Ool00g`0Oomoo`02Ool3O009Ool00g`0

Ooml0002O00<Ool00g`0Oomoo`03O007Ool00g`0Ooml0002O00<Ool00g`0Oomoo`03O008Ool3O009

Ool00g`0Oomoo`03O008Ool00g`0Oomoo`03Ool3O03eOol00`00Oomoo`0;Ool3O008Ool3O007Ool2

O009Ool3O005Ool3O00@Ool3O007Ool3O007Ool00g`0Oomoo`09Ool3O009Ool00g`0Oomoo`03O008

Ool00g`0Oomoo`03Ool3O01QOol001Qoo`=l00Uoo`=l00Ioo`=l00Qoo`Al00Aoo`=l011oo`=l00Ao

o`=l01Yoo`=l00Qoo`Al00aoo`04O01oogooOol3O009Ool00g`0Ooml0002O00<Ool00g`0Oomoo`03

O007Ool00g`0Ooml0002O00<Ool00g`0Oomoo`03O008Ool3O009Ool00g`0Oomoo`03O008Ool00g`0

Oomoo`04Ool3O03dOol00`00Oomoo`0;Ool3O009Ool3O006Ool3O008Ool4O004Ool3O00@Ool3O007

Ool3O008Ool00g`0Oomoo`08Ool3O009Ool00g`0Oomoo`03O008Ool00g`0Oomoo`04Ool3O01POol0

01Qoo`=l00Uoo`=l00Ioo`=l00Uoo`=l00Eoo`=l00moo`=l00Aoo`=l01Yoo`=l00Uoo`=l00eoo`03

O01oogoo00=l00Uoo`03O01oog`0009l00eoo`03O01oog`0009l00Moo`03O01oog`0009l00eoo`03

O01oog`0009l00Qoo`=l00Qoo`04001l07ooOol3O009Ool00g`0Oomoo`03Ool3O03eOol00`00Oomo

o`0:Ool3O009Ool3O006Ool3O009Ool3O005Ool3O00?Ool3O007Ool3O009Ool00g`0Oomoo`07Ool3

O009Ool00g`0Oomoo`03O009Ool00g`0Oomoo`03Ool3O01POol001Qoo`=l00Uoo`=l00Ioo`=l00Uo

o`=l00Ioo`=l00ioo`=l00Eoo`=l00moo`03O01oogoo00Moo`=l00Uoo`=l00eoo`03O01oogoo00=l

00Uoo`03O01oog`0009l00ioo`Al00Moo`03O01oog`0009l00ioo`Al00Qoo`=l00Moo`03001oogoo

00Al00Yoo`03O01oogoo00Aoo`=l00moo`03O01oogoo0>=oo`03001oogoo00Uoo`=l00Uoo`=l00Io

o`=l00Uoo`=l00Ioo`=l00ioo`=l00Moo`=l00Yoo`03O01oogoo00Ioo`=l00Yoo`Al00Yoo`03O01o

ogoo00Aoo`=l00moo`03O01oogoo04eoo`006Goo0g`027oo0g`01goo0g`027oo0g`01goo0W`03Woo

0g`01Woo0W`03goo00=l07ooOol027oo0g`027oo0g`03Woo00=l07ooO0000W`02Woo17`03goo17`0

1goo17`03goo17`027oo0g`01Woo00<007ooOol017`02Woo00=l07ooOol01Goo0W`03goo00=l07oo

Ool0hgoo00<007ooOol02Woo0g`027oo0g`01goo0g`027oo0g`01goo0W`03Woo0g`01goo0g`02goo

00=l07ooOol01Woo0g`02Goo17`02Woo00=l07ooOol01Goo0W`03goo00=l07ooOol0CGoo000IOol3

O008Ool3O007Ool3O008Ool3O008Ool2O00=Ool2O008Ool2O00>Ool2O009Ool3O008Ool3O00?Ool4

O00:Ool4O00@Ool3O007Ool4O00@Ool3O008Ool3O005Ool01000Oomoogoo0g`02goo0W`01goo0W`0

3Woo0W`0iGoo00<007ooOol02Goo0g`027oo0g`01goo0g`027oo0g`027oo0W`03Goo0W`027oo0g`0

2goo0W`01goo0g`02Goo0g`02goo0W`01goo0W`03Woo0W`0CWoo000IOol3O007Ool3O008Ool3O007

Ool3O00:Ool2O00;Ool3O009Ool2O00=Ool2O009Ool3O007Ool3O00AOol3O00:Ool3O00AOol4O006

Ool3O00AOol4O007Ool3O005Ool01000Oomoogoo0g`037oo00=l07ooOol01Woo0W`03Goo0W`0iGoo

00<007ooOol02Goo0g`01goo0g`027oo0g`01goo0g`02Woo0W`02goo0g`027oo0g`02goo0g`01Woo

0g`02Goo0g`037oo00=l07ooOol01Woo0W`03Goo0W`0CWoo000IOol3O006Ool3O008Ool5O005Ool3

O00<Ool3O008Ool3O00;Ool3O00:Ool3O008Ool5O005Ool3O00BOol3O00;Ool2O00BOol3O007Ool2

O00BOol3O007Ool4O003Ool01000Oomoogoo17`02goo0g`027oo0g`02Woo0g`0iWoo00<007ooOol0

27oo0g`01Woo0g`027oo1G`01Goo0g`037oo0g`027oo0g`02Goo17`02Woo17`01Goo17`01goo17`0

2goo0g`027oo0g`02Woo0g`0CWoo000FOol=O009Ool<O00@Ool3O005Ool3O00>Ool3O006Ool6O006

Ool<O00EOol2O008Ool5O00COol5O0000gooO01l0003O00COol5O0000gooO01l0008O002Ool5O00:

Ool7O008Ool3O006Ool6O03VOol00`00Oomoo`04Ool=O009Ool<O00@Ool3O005Ool3O007Ool:O005

OolBO002Ool5O00:Ool7O008Ool3O006Ool6O01=Ool004Yoo`Ml019oo`Ql00Aoo`03O01oogoo02Io

o`03O01oogoo04]oo`03001oogoo021oo`Ql00Aoo`03O01oogoo0>Aoo`03001oogoo03Qoo`Ml04ao

o`Ql00Aoo`03O01oogoo04]oo`00iGoo00<007ooOol0ogoo5Woo00<007ooOol0i7oo003UOol00`00

Oomoo`3oOolFOol00`00Oomoo`3TOol00>Aoo`03001oogoo0?mooaQoo`03001oogoo0>=oo`00i7oo

00<007ooOol0ogoo67oo00<007ooOol0hgoo003SOol00`00Oomoo`3oOolJOol00`00Oomoo`3ROol0

0>=oo`03001oogoo0?mooaYoo`03001oogoo0>9oo`00hWoo00<007ooOol0ogoo77oo00<007ooOol0

hGoo003ROol00`00Oomoo`3oOolLOol00`00Oomoo`3QOol00>5oo`03001oogoo0?mooaioo`03001o

ogoo0>1oo`00hGoo00<007ooOol0ogoo7Woo00<007ooOol0h7oo003QOol00`00Oomoo`3oOolNOol0

0`00Oomoo`3POol00>1oo`03001oogoo0?moob1oo`03001oogoo0=moo`00h7oo00<007ooOol0ogoo

87oo00<007ooOol0ggoo003POol00`00Oomoo`3oOolQOol00`00Oomoo`3NOol00=moo`03001oogoo

0?moob9oo`03001oogoo0=ioo`00ggoo00<007ooOol0ogoo8goo00<007ooOol0gGoo003NOol00`00

Oomoo`3oOolTOol00`00Oomoo`3MOol00=ioo`03001oogoo0?moobEoo`03001oogoo0=aoo`00gGoo

00<007ooOol0ogoo9Woo00<007ooOol0g7oo003LOol00`00Oomoo`3oOolXOol00`00Oomoo`3KOol0

0=aoo`03001oogoo0?moobQoo`03001oogoo0=]oo`00g7oo00<007ooOol0ogoo:7oo00<007ooOol0

fgoo003KOol00`00Oomoo`3oOolZOol00`00Oomoo`3JOol00=]oo`03001oogoo0?moobYoo`03001o

ogoo0=Yoo`00fgoo00<007ooOol0ogoo:Woo00<007ooOol0fWoo003JOol00`00Oomoo`3oOol/Ool0

0`00Oomoo`3IOol00=Yoo`03001oogoo0?moobaoo`03001oogoo0=Uoo`00fWoo00<007ooOol0ogoo

;7oo00<007ooOol0fGoo003JOol00`00Oomoo`3oOol]Ool00`00Oomoo`3HOol00=Yoo`03001oogoo

0?moobeoo`03001oogoo0=Qoo`00fWoo00<007ooOol0ogoo;Goo00<007ooOol0f7oo003IOol00`00

Oomoo`3oOol^Ool00`00Oomoo`3HOol00=Uoo`03001oogoo0?moobioo`03001oogoo0=Qoo`00fGoo

00<007ooOol0ogoo;Woo00<007ooOol0f7oo003HOol00`00Oomoo`3oOol`Ool00`00Oomoo`3GOol0

0<moo`03001oogoo00Ioo`03001oogoo00Eoo`03001oogoo0?moobQoo`03001oogoo0=Moo`00cgoo

00<007ooOol01Woo00<007ooOol017oo00<007ooOol0ogoo:Goo00<007ooOol0egoo003@Ool00`00

Oomoo`04Ool00`00Oomoo`05Ool00`00Oomoo`3oOolZOol00`00Oomoo`3FOol00=1oo`03001oogoo

00Aoo`03001oogoo00Aoo`03001oogoo0?moob]oo`03001oogoo0=Ioo`00dGoo00<007ooOol00goo

00<007ooOol017oo00<007ooOol0ogoo:goo00<007ooOol0eWoo003AOol00`00Oomoo`03Ool00`00

Oomoo`03Ool00`00Oomoo`3oOol]Ool00`00Oomoo`3EOol00=9oo`03001oogoo009oo`03001oogoo

00=oo`03001oogoo0?moobeoo`03001oogoo0=Eoo`00dWoo00<007ooOol00Woo00<007ooOol00Woo

00<007ooOol0ogoo;Woo00<007ooOol0eGoo003COol01000Oomoo`001Goo00<007ooOol0ogoo;Woo

00<007ooOol0eGoo003COol01000Oomoo`0017oo00<007ooOol0ogoo;goo00<007ooOol0eGoo003D

Ool00`00Ool00004Ool00`00Oomoo`3oOol_Ool00`00Oomoo`3EOol00=Aoo`8000Aoo`03001oogoo

0?mooc5oo`03001oogoo0=Aoo`00eGoo00<007ooOol00Woo00<007ooOol0ogoo<Goo00<007ooOol0

e7oo003EOol01@00Oomoogoo0000ogooogoo37oo003FOol01000Oomoo`00ogooogoo37oo003FOol0

0`00Ool0003oOoooOol=Ool00=Moo`800?mooomoo`eoo`00egoo00<007ooOol0ogooogoo37oo003o

OoooOooVOol00?mooomoonIoo`00WGoo1P0OogooIgoo1@0OeWoo002JOol<01ooOomSOol401l2Ool0

0`0OOomoo`3COol009Uoo`D07`Moo`807omoof9oo`<07`=oo`807mAoo`00VGoo0`0O2goo00<07goo

Ool0ogooIGoo0P0Oe7oo002IOol201l<Ool00`0OOomoo`3oOomUOol301oCOol009Yoo`0301moogoo

00]oo`0301moogoo0?moofAoo`<07m=oo`00VWoo0P0O37oo00<07gooOol0ogooI7oo0`0Odgoo002K

Ool00`0OOomoo`09Ool201ooOomVOol301oCOol007Eoo`P07`Uoo`T07`03Ool07`0O00D07`Aoo`h0

7`Moo`H07`Moo`L07`Eoo`L07`Eoo`@07`=oo`L07`9oo`L07`9oo`L07`9oo`L07`9oo`L07m=oo`L0

7`ioo`H07`Ioo`L07`9oo`L07`=oo`<07`Uoo`D07`Yoo`H07`Uoo`@07`Ioo`@07`=oo`807`Eoo`L0

7`Yoo`D07gioo`00Mgoo100O3Goo1@0O1Goo0`0O1Goo3P0O1Woo100O17oo0P0O1goo0`0O2Goo0`0O

1Woo1P0O17oo0`0O1Woo0`0O1Woo0`0O1Woo0`0O1Woo0`0OdWoo300O2Woo100O17oo0P0O1Woo0`0O

1Woo0`0O1Goo0`0O1goo200O27oo200O1goo1P0O17oo1P0O0Woo100O1Goo0`0O2Woo200OOGoo001h

Ool201l?Ool301l6Ool301l5Ool=01l6Ool301l7Ool201l6Ool301l9Ool301l6Ool301l3Ool0100O

Oomoogoo0`0O1Woo0`0O1Woo0`0O1Woo0`0O1Woo0`0OdGoo1@0O1Woo0`0O27oo0`0O1goo0P0O1Goo

0`0O1Woo0`0O1Goo0`0O1Woo2P0O1Woo2P0O1Woo0`0O0goo00<07gooOol0100O0goo00<07goo01l0

100O17oo0`0O2Goo2P0OO7oo001iOol201l=Ool401l6Ool301l6Ool00`0OOomoo`0>Ool401l7Ool3

01l5Ool301l9Ool301l6Ool301l7Ool301l6Ool301l6Ool301l6Ool301l6Ool301o@Ool401l:Ool2

01l6Ool401l7Ool301l4Ool301l6Ool301l5Ool301l5Ool501l5Ool201l4Ool501l5Ool201l5Ool3

01l6Ool301l5Ool401l6Ool301l8Ool501l5Ool201mkOol007Uoo`807`eoo`<07`Moo`<07`Ioo`80

7`moo`<07`Qoo`<07`Eoo`<07`Uoo`<07`Ioo`<07`Moo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Ioo`<0

7lmoo`@07`aoo`807`Eoo`<07`Qoo`<07`Aoo`<07`Ioo`<07`Eoo`<07`Eoo`@07`Moo`0301moogoo

009oo`@07`Moo`0301moogoo00=oo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Qoo`@07`Moo`0301moogoo

07Uoo`00NWoo0P0O2goo100O1goo0`0O27oo1P0O27oo100O2Goo0`0O17oo0`0O2Goo0`0O1Woo0`0O

1goo0`0O1Woo0`0O1Woo0`0O1Woo0`0O1Woo0`0Ocgoo100O3Goo00<07gooOol00Woo100O2Goo0`0O

0goo0`0O1Woo0`0O1Goo0`0O17oo100O27oo0P0O0Woo100O27oo0P0O17oo0`0O1Woo0`0O1Woo0`0O

1Woo0`0O1goo100O27oo0P0ONWoo001jOol201l;Ool301l8Ool301l7Ool301l4Ool201l6Ool401l9

Ool301l4Ool301l9Ool301l6Ool301l7Ool301l6Ool301l6Ool301l6Ool301l6Ool301o>Ool401l?

Ool0100OOomoogoo100O2Goo0`0O0goo0`0O1Woo0`0O1Goo0`0O17oo100O2Goo00<07gooOol0100O

2Goo00<07gooOol00Woo0`0O1Woo0`0O1Woo0`0O1Woo0`0O1goo100O2Goo00<07gooOol0N7oo001j

Ool201l;Ool301l8Ool301l6Ool301l6Ool201l5Ool301l:Ool301l4Ool301l9Ool301l6Ool301l7

Ool301l6Ool301l6Ool301l6Ool301l6Ool301o>Ool401lCOol301l:Ool301l3Ool301l6Ool301l5

Ool301l4Ool301l=Ool301l?Ool301l6Ool301l6Ool301l6Ool301l7Ool301n5Ool007]oo`h07`Uo

o`<07`Eoo`<07`Moo`<07`Aoo`<07`Yoo`<07`Aoo`<07`Uoo`<07`Ioo`<07`Moo`<07`Ioo`<07`Io

o`<07`Ioo`<07`Ioo`<07leoo`@07aAoo`<07`Yoo`<07`=oo`<07`Ioo`<07`Eoo`<07`Aoo`<07`eo

o`<07`moo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Moo`<07hEoo`00Ngoo0P0O2Goo0`0O2Goo0`0O1Goo

0`0O1goo0`0O17oo0`0O2Goo100O17oo0`0O2Goo0`0O1Woo0`0O1goo0`0O1Woo0`0O1Woo0`0O1Woo

0`0O1Woo0`0OcGoo100O57oo0`0O2Goo100O0goo0`0O1Woo0`0O1Goo0`0O17oo0`0O3Goo0`0O3goo

0`0O1Woo0`0O1Woo0`0O1Woo0`0O1goo0`0OQGoo001lOol201l7Ool301l:Ool301l5Ool301l7Ool3

01l4Ool301l9Ool401l4Ool301l9Ool301l6Ool301l7Ool301l6Ool301l6Ool301l6Ool301l6Ool3

01o=Ool401lDOol301l9Ool401l3Ool301l6Ool301l5Ool301l4Ool>01l2Ool301l?Ool301l6Ool3

01l6Ool301l6Ool301l7Ool>01mjOol007aoo`807`Moo`<07`Yoo`<07`Eoo`<07`Moo`<07`Eoo`<0

7`Qoo`<07`Eoo`<07`Uoo`<07`Ioo`<07`Moo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Ioo`<07leoo`@0

7aEoo`<07`Qoo`<07`Aoo`<07`Ioo`<07`Eoo`<07`Eoo`807`Moo`@07`=oo`807`Moo`<07`Eoo`<0

7`Ioo`<07`Ioo`<07`Ioo`<07`Qoo`807`Moo`@07gYoo`00OGoo0P0O1Goo100O2Woo0`0O1Goo0`0O

1goo0`0O1Goo0`0O1goo100O1Goo100O27oo0`0O1Woo0`0O1goo100O1Goo0`0O1Woo100O1Goo100O

1Goo0`0OcGoo100O5Goo0`0O1goo100O17oo100O1Goo0`0O1Goo0`0O1Goo0P0O1goo0`0O17oo0`0O

1Woo0`0O1Goo0`0O1Woo0`0O1Woo0`0O1Woo100O1goo0P0O1goo0`0ONgoo001mOol201l5Ool301l;

Ool301l6Ool301l5Ool301l7Ool201l7Ool301l4Ool601l2Ool301l00goo01l07`0301l6Ool301l7

Ool301l00goo01moo`02Ool401l4Ool501l00goo01moo`02Ool401l00goo01moo`02Ool401o=Ool4

01lFOol201l7Ool301l3Ool501l00goo01moo`02Ool401l3Ool501l6Ool201l5Ool401l5Ool201l5

Ool401l5Ool301l6Ool301l6Ool301l4Ool601l2Ool301l3Ool201l5Ool401mkOol007eoo`807`Eo

o`<07`]oo`<07`Moo`807`Aoo`L07`Eoo`<07`=oo`@07`Ioo`@07`03Ool07`0O00<07`9oo`@07`Io

o`<07`Moo`<07`9oo`H07`Ioo`@07`9oo`H07`=oo`H07lioo`@07aMoo`<07`=oo`@07`Eoo`@07`9o

o`H07`Eoo`@07`Moo`807`=oo`@07`Moo`807`Aoo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Eoo`@07`03

Ool07`0O00<07`Aoo`807`=oo`@07gaoo`00OWoo0P0O0goo0`0O37oo0`0O2Goo1@0O3Goo1P0O2Woo

0P0O0Woo0`0O1Goo0P0O0goo2P0O0goo0`0O0goo100O2Goo0P0O0goo100O1Goo100Od7oo0`0O6Goo

1P0O2Goo0P0O0goo100O27oo0P0O2Goo1@0O2goo1@0O1Goo3`0O17oo1@0O1goo0P0O0Woo0`0O1goo

1@0OOWoo001nOol201l3Ool301l<Ool301lnOol401l7Ool301obOol301l?Ool00`0OOomoo`1>Ool4

01nZOol007moo`807`04Ool07`0O01l=Ool301loOol301l7Ool301obOol401l>Ool00`0OOomoo`1?

Ool301nZOol007moo`807`04Ool07`0O01l=Ool301m0Ool201l7Ool301ocOol301l=Ool201mBOol2

01nZOol0081oo`D07`eoo`<07d1oo`807`Moo`<07o=oo`@07`aoo`807e9oo`807jYoo`00P7oo100O

3Woo0`0O@Goo00<07gooOol01Goo0`0Om7oo0`0O2goo0P0OE7oo00<07gooOol0Z7oo0020Ool401l>

Ool301m9Ool301oeOol301l9Ool301ooOol0085oo`807`eoo`D07cIoo`<07`ioo`D07oMoo`<07`Eo

o`D07bUoo`<07m=oo`00PGoo0P0O3Woo100O=Woo0`0O3goo100OnGoo1`0O0goo00<07gooOol09goo

0`0Odgoo002COol201lfOol301lAOol201ooOol^Ool301oCOol00?mooomoonIoo`00ogooogooiWoo

003oOoooOooVOol00?mooomoonIoo`00ogooogooiWoo003oOoooOooVOol00?mooomoonIoo`00ogoo

ogooiWoo003oOoooOol=Ool00`00Oomoo`3FOol00?mooomoo`aoo`03001oo`000=Moo`00ogooogoo

37oo00<007oo0000egoo003oOoooOol;Ool01@00Oomoogoo0000eWoo003oOoooOol;Ool01@00Oomo

ogoo0000eWoo003oOoooOol:Ool00`00Oomoo`03Ool00`00Oomoo`3COol00=Eoo`03001oogoo0?mo

oc5oo`03001oogoo009oo`800=Eoo`00eGoo00<007ooOol0ogoo<7oo00<007ooOol00goo00<007oo

0000e7oo003FOol00`00Oomoo`3oOol_Ool00`00Oomoo`02Ool01000Oomoo`00e7oo0034Ool00`00

Oomoo`0?Ool00`00Oomoo`3oOol^Ool00`00Oomoo`03Ool01@00Oomoogoo0000dgoo0035Ool00`00

Oomoo`0?Ool00`00Oomoo`3oOol]Ool00`00Oomoo`03Ool01@00Oomoogoo0000dgoo0035Ool00`00

Oomoo`0?Ool00`00Oomoo`3oOol/Ool00`00Oomoo`04Ool00`00Oomoo`02Ool00`00Oomoo`3@Ool0

0<Eoo`03001oogoo00moo`03001oogoo0?moobaoo`03001oogoo00Aoo`03001oogoo009oo`03001o

ogoo0=1oo`00aGoo00<007ooOol03goo00<007ooOol0ogoo:goo00<007ooOol017oo00<007ooOol0

17oo00<007ooOol0cgoo0035Ool00`00Oomoo`0?Ool00`00Oomoo`3oOol[Ool00`00Oomoo`04Ool0

0`00Oomoo`04Ool00`00Oomoo`3?Ool00<Eoo`03001oogoo00moo`03001oogoo0?moobYoo`03001o

ogoo00Eoo`03001oogoo00Eoo`03001oogoo0<ioo`00aWoo00<007ooOol03goo00<007ooOol0ogoo

:Goo00<007ooOol017oo00<007ooOol01Woo00<007ooOol0cWoo0036Ool00`00Oomoo`0?Ool00`00

Oomoo`3oOolXOol00`00Oomoo`05Ool00`00Oomoo`07Ool00`00Oomoo`3=Ool00<Ioo`03001oogoo

00moo`03001oogoo0?moobQoo`03001oogoo00Eoo`03001oogoo00Moo`03001oogoo0<eoo`00aWoo

00<007ooOol047oo00<007ooOol0ogoo;Woo00<007ooOol0f7oo0036Ool00`00Oomoo`0@Ool00`00

Oomoo`3oOol^Ool00`00Oomoo`3HOol00<Ioo`03001oogoo011oo`03001oogoo0?moobioo`03001o

ogoo0=Qoo`00agoo00<007ooOol047oo00<007ooOol0ogoo;Goo00<007ooOol0f7oo0037Ool00`00

Oomoo`0@Ool00`00Oomoo`3oOol]Ool00`00Oomoo`3HOol00<Qoo`03001oogoo00moo`03001oogoo

0?moobeoo`03001oogoo0=Qoo`00b7oo00<007ooOol03goo00<007ooOol0ogoo;7oo00<007ooOol0

fGoo0038Ool00`00Oomoo`0?Ool00`00Oomoo`3oOol/Ool00`00Oomoo`3IOol00<Uoo`03001oogoo

00ioo`03001oogoo0?moobaoo`03001oogoo0=Uoo`00bGoo00<007ooOol03goo00<007ooOol0ogoo

:Woo00<007ooOol0fWoo0039Ool00`00Oomoo`0?Ool00`00Oomoo`3oOolZOol00`00Oomoo`3JOol0

0<Yoo`03001oogoo00ioo`03001oogoo0?moobYoo`03001oogoo0=Yoo`00bWoo00<007ooOol03goo

00<007ooOol0ogoo:7oo00<007ooOol0fgoo003:Ool00`00Oomoo`0?Ool00`00Oomoo`3oOolXOol0

0`00Oomoo`3KOol00<Yoo`03001oogoo00moo`03001oogoo0?moobQoo`03001oogoo0=]oo`00bWoo

00<007ooOol047oo00<007ooOol0ogoo9Woo00<007ooOol0g7oo003;Ool00`00Oomoo`0?Ool00`00

Oomoo`3oOolVOol00`00Oomoo`3LOol00<]oo`03001oogoo011oo`03001oogoo0?moobAoo`03001o

ogoo0=eoo`00bgoo00<007ooOol04Goo00<007ooOol0ogoo8goo00<007ooOol0gGoo003<Ool00`00

Oomoo`0@Ool00`00Oomoo`3oOolROol00`00Oomoo`3NOol00<aoo`03001oogoo015oo`03001oogoo

0?moob5oo`03001oogoo0=ioo`00c7oo00<007ooOol04Goo00<007ooOol0ogoo87oo00<007ooOol0

ggoo003=Ool00`00Oomoo`0@Ool00`00Oomoo`3oOolPOol00`00Oomoo`3OOol00<eoo`03001oogoo

015oo`03001oogoo0?mooaioo`03001oogoo0>1oo`00cWoo00<007ooOol047oo00<007ooOol0ogoo

7Woo00<007ooOol0h7oo003>Ool00`00Oomoo`0@Ool00`00Oomoo`3oOolNOol00`00Oomoo`3POol0

0<moo`03001oogoo011oo`03001oogoo0?mooaaoo`03001oogoo0>5oo`00cgoo00<007ooOol047oo

00<007ooOol0ogoo77oo00<007ooOol0hGoo003@Ool00`00Oomoo`0@Ool00`00Oomoo`3oOolJOol0

0`00Oomoo`3ROol00=1oo`03001oogoo011oo`03001oogoo0?mooaYoo`03001oogoo0>9oo`00dGoo

00<007ooOol047oo00<007ooOol0ogoo67oo00<007ooOol0hgoo003AOol00`00Oomoo`0@Ool00`00

Oomoo`3oOolHOol00`00Oomoo`3SOol00=9oo`03001oogoo011oo`03001oogoo0?mooaIoo`03001o

ogoo0>Aoo`00dWoo00<007ooOol047oo00<007ooOol0ogoo5Woo00<007ooOol0i7oo003BOol00`00

Oomoo`0AOol00`00Oomoo`3oOolDOol00`00Oomoo`3UOol00==oo`03001oogoo011oo`03001oogoo

0?mooaAoo`03001oogoo0>Eoo`00<goo27`03goo1g`02Woo27`01Goo00=l07ooOol017oo2W`000=o

og`0O0001g`05Woo1g`037oo2W`01goo2W`00Woo1g`00goo00<007ooOol017oo00=l07ooOol02Woo

00@007ooOomoo`Ul0?Uoo`Yl009oo`Ml00Yoo`03O01oogoo00Yoo`03O01oogoo00eooaAl009oo`Ml

00Yoo`03O01oogoo00Moo`Yl00Moo`Yl009oo`Ml00Yoo`03O01oogoo00ioo`Ul04Aoo`00<Goo17`0

1Woo0W`02goo0g`01Goo17`02Woo0W`01goo0g`027oo17`01goo17`05Woo0g`01Woo0W`03Goo17`0

3Goo17`027oo0W`01Woo00<007ooOol00goo0W`037oo00@007`0O01l00Moo`Al0?Uoo`Al00Ioo`04

001oog`0O00<Ool2O00;Ool2O00AOol4O009Ool5O004Ool2O00<Ool2O00;Ool4O00=Ool4O008Ool2

O00<Ool2O00=Ool3O007Ool4O011Ool0031oo`=l00Yoo`9l00Qoo`=l00Qoo`=l00Yoo`03O01oogoo

00Eoo`=l00Qoo`Al00Qoo`=l01Eoo`=l00Uoo`9l00aoo`=l00ioo`=l00Uoo`03O01oogoo00Aoo`03

001oogoo00=oo`9l00]oo`=l00]oo`=l0?Uoo`=l00Ioo`04001oogooO00<Ool2O00;Ool3O00AOol3

O00;Ool3O005Ool00g`0Oomoo`0:Ool2O00<Ool3O00>Ool3O009Ool00g`0Oomoo`0:Ool2O00;Ool3

O00;Ool3O010Ool002moo`=l00eoo`03O01oogoo00Aoo`=l00]oo`=l00Qoo`03O01oogoo00Eoo`Al

00Qoo`=l00Qoo`=l01Aoo`=l00]oo`9l00]oo`=l00ioo`=l00Uoo`03O01oogoo00Eoo`04001oogoo

Ool3O00:Ool3O0000`00Oomoo`09Ool3O03iOol3O005Ool01@00OomoogooO0002goo0g`02goo17`0

47oo0g`03Goo00=l07ooOol00goo00=l07ooOol02Goo0g`037oo0g`03Woo0g`02Goo00=l07ooOol0

2Goo0g`02Woo0g`037oo0g`0@7oo000^Ool3O00?Ool00g`0Oomoo`03Ool3O00<Ool3O007Ool00g`0

Oomoo`05Ool3O0000gooO01oo`06Ool3O008Ool3O00DOol2O00=Ool00g`0Oomoo`09Ool4O00=Ool3

O009Ool00g`0Oomoo`05Ool01000Oomoogoo17`02Goo0W`000=oo`00Ool02Woo0g`0nGoo0g`01Goo

00D007ooOomoog`000]oo`Al00]oo`Al00moo`=l00ioo`03O01oogoo009oo`03O01oogoo00Uoo`Al

00]oo`Al00eoo`=l00Uoo`03O01oogoo00Uoo`Al00Uoo`9l00eoo`=l041oo`00;Woo0g`057oo0g`0

3Goo17`01goo00=l07ooOol017oo0g`00Woo00=l07ooOol01Goo0g`027oo0g`04Woo0g`03Goo00=l

07ooOol02Woo0g`03Woo0g`02Goo00=l07ooOol01Goo00<007ooO0000W`000=oog`0Ool01goo0g`0

0Woo00<007ooOol027oo0g`0nWoo0g`00goo00<007ooOol00goo00=l07ooOol01goo0g`000=oog`0

Ool02Woo17`047oo0g`04goo00=l07ooOol01goo0g`000=oog`0Ool02goo0g`03Woo0g`02Goo00=l

07ooOol01goo0g`000=oog`0Ool01goo0g`03Goo0g`0@7oo000]Ool3O00EOol3O00>Ool3O007Ool0

0g`0Oomoo`04Ool3O003Ool00g`0Oomoo`04Ool3O008Ool3O00BOol3O00>Ool00g`0Oomoo`09Ool3

O00>Ool3O009Ool00g`0Oomoo`05Ool00`00Ooml0002O0000gooO01oo`07Ool2O003Ool00`00Oomo

o`09Ool3O03iOol3O003Ool00`00Oomoo`03Ool00g`0Oomoo`07Ool3O0000gooO01oo`0:Ool3O000

0gooO01oo`0>Ool3O00COol00g`0Oomoo`07Ool3O0000gooO01oo`0;Ool3O00>Ool3O009Ool00g`0

Oomoo`07Ool3O0000gooO01oo`07Ool2O00?Ool3O00oOol002eoo`=l01Eoo`=l00moo`=l00Ioo`03

O01oogoo00=oo`Al00=oo`03O01oogoo00Aoo`=l00Qoo`=l019oo`=l00ioo`03O01oogoo00Uoo`=l

00ioo`=l00Uoo`03O01oogoo00Ioo`04001l07`0O002Ool00g`0Oomoo`04Ool3O004Ool00`00Oomo

o`08Ool3O03iOol3O002Ool00`00Oomoo`04Ool00g`0Oomoo`07Ool3O002Ool00g`0Oomoo`08Ool3

O002Ool00g`0Oomoo`0<Ool3O00COol00g`0Oomoo`07Ool3O002Ool00g`0Oomoo`09Ool3O00>Ool3

O009Ool00g`0Oomoo`07Ool3O002Ool00g`0Oomoo`04Ool3O00?Ool3O00oOol002eoo`=l01Eoo`=l

00moo`Al00Eoo`03O01oogoo00=oo`=l00Eoo`03O01oogoo00=oo`Al00Qoo`=l019oo`=l00eoo`9l

00]oo`=l00ioo`=l00Uoo`03O01oogoo00Eoo`=l00=oo`03O01oogoo00Aoo`=l00Eoo`03001oogoo

00Moo`=l0?Yoo`=l0003001oogoo00Ioo`03O01oogoo00Eoo`=l00=oo`03O01oogoo00Qoo`=l00=o

o`03O01oogoo00aoo`=l00Moo`03O01oogoo00Uoo`03O01oogoo00Eoo`=l00=oo`03O01oogoo00Yo

o`=l00ioo`=l00Uoo`03O01oogoo00Eoo`=l00=oo`03O01oogoo00Aoo`=l00moo`=l03moo`00;Goo

0g`05Goo0g`047oo0g`01Woo00=l07ooOol00Woo0g`01Woo00=l07ooOol00goo0g`027oo0g`04Woo

0g`03Woo00=l07ooOol02Goo0g`03Woo0g`02Goo00=l07ooOol01Goo0g`00goo00=l07ooOol017oo

0g`01Goo00<007ooOol01goo0g`0nWoo0g`000<007ooOol01Woo00=l07ooOol01Goo0g`00goo00=l

07ooOol027oo0g`017oo00=l07ooOol02goo0g`01goo00=l07ooOol02Goo00=l07ooOol01Goo0g`0

0goo00=l07ooOol02Woo0g`03Woo0g`02Goo00=l07ooOol01Goo0g`00goo00=l07ooOol017oo0g`0

3goo0g`0?goo000]Ool3O00EOol3O00@Ool4O005Ool00g`0Oomoo`02Ool3O007Ool00g`0Oomoo`02

Ool3O008Ool3O00BOol3O00>Ool00g`0Oomoo`09Ool3O00>Ool3O009Ool00g`0Oomoo`04Ool3O004

Ool00g`0Oomoo`04Ool3O006Ool00`00Oomoo`06Ool4O03iOol3O009Ool00g`0Oomoo`04Ool3O004

Ool00g`0Oomoo`08Ool3O004Ool00g`0Oomoo`0;Ool3O007Ool2O00:Ool00g`0Oomoo`04Ool3O004

Ool00g`0Oomoo`0:Ool3O00>Ool3O009Ool00g`0Oomoo`04Ool3O004Ool00g`0Oomoo`04Ool3O00?

Ool4O00nOol002eoo`=l01Eoo`Al011oo`=l00Eoo`03O01oogoo009oo`=l00Moo`03O01oogoo009o

o`=l00Qoo`=l0003Ooml07`000El00Yoo`=l00ioo`03O01oogoo00Yoo`=l00eoo`=l00Uoo`03O01o

ogoo00Aoo`=l0003001oogoo009oo`03O01oogoo00=oo`=l00Ioo`03001oogoo00Ioo`El0?Qoo`=l

00Uoo`03O01oogoo00Aoo`=l00Eoo`03O01oogoo00Moo`=l00Eoo`03O01oogoo00Yoo`=l00Moo`9l

00Yoo`03O01oogoo00Aoo`=l00Eoo`03O01oogoo00Yoo`=l00eoo`=l00Uoo`03O01oogoo00Aoo`=l

00Eoo`03O01oogoo00=oo`=l00moo`El03eoo`00;Goo0g`05Woo0g`047oo0g`01Woo00Al07ooOomo

o`=l00Qoo`03O01oogoo009oo`=l00Qoo`=l00Ioo`=l00Uoo`=l00ioo`03O01oogoo00Uoo`=l00io

o`=l00Uoo`03O01oogoo00=oo`=l0003001oogoo009oo`03O01oogoo00=oo`=l00Moo`03001oogoo

009oo`Yl0?Moo`=l00Uoo`03O01oogoo00=oo`=l00Eoo`03O01oogoo00Moo`=l00Ioo`03O01oogoo

00Yoo`]l00]oo`03O01oogoo00=oo`=l00Eoo`03O01oogoo00Yoo`=l00ioo`=l00Uoo`03O01oogoo

00=oo`=l00Eoo`03O01oogoo00=oo`=l00aoo`Yl03]oo`00;Woo0g`05Goo0g`047oo17`01Goo00Al

07ooOomoo`=l00Uoo`04O01oogooOol3O008Ool3O008Ool3O007Ool3O00>Ool00g`0Oomoo`09Ool3

O00>Ool3O009Ool00g`0Oomoo`02Ool3O002Ool01@00OomoogooO0001Goo0g`027oo00<007ooOol0

ogoo0Woo00@007`0O01l00Uoo`03O01oogoo009oo`=l00Ioo`03O01oogoo00Moo`=l00Moo`03O01o

ogoo00Uoo`=l00Ioo`9l00]oo`03O01oogoo009oo`=l00Ioo`03O01oogoo00Yoo`=l00ioo`=l00Uo

o`03O01oogoo009oo`=l00Ioo`03O01oogoo00=oo`=l055oo`00;Woo0g`05Goo17`047oo0g`01Goo

00=l07ooOol00g`02goo00=l07ooOol00g`027oo0g`02Goo0g`01Woo0g`03Woo00=l07ooOol02Goo

0g`03Woo0g`02Goo00=l07ooOol00Woo0g`00goo00D007ooOomoog`000Eoo`=l00Qoo`03001oogoo

0?moo`03001oog`0009l00Uoo`03O01oogoo009oo`=l00Moo`03O01oogoo00Moo`=l00Moo`03O01o

ogoo00Qoo`=l00Moo`03O01oogoo00Uoo`03O01oogoo009oo`=l00Moo`03O01oogoo00Uoo`=l00io

o`=l00Uoo`03O01oogoo009oo`=l00Moo`03O01oogoo00=oo`=l051oo`00;Woo0g`05Woo0g`047oo

0g`01Woo00=l07ooO0000W`037oo00=l07ooOol00g`027oo0g`027oo0g`01goo0g`03Woo00=l07oo

Ool02Goo0g`03Woo0g`02Goo00=l07ooOol00g`017oo00D007ooOomoog`000Eoo`=l00Uoo`03001o

ogoo0?ioo`03001oogoo00=l00Uoo`03O01oogoo00=l00Qoo`03O01oogoo00Moo`=l00Moo`03O01o

ogoo00Uoo`=l00Ioo`9l00]oo`03O01oogoo00=l00Qoo`03O01oogoo00Yoo`=l00ioo`=l00Uoo`03

O01oogoo00=l00Qoo`03O01oogoo00=oo`=l051oo`00;goo0g`05Goo0g`047oo0g`01Woo00=l07oo

O0000W`037oo00=l07ooOol00g`027oo0g`02Goo0g`01Woo0g`03Woo00=l07ooOol02Goo0g`03Woo

0g`02Goo00=l07ooOol00g`01Goo00@007ooOoml00Ioo`=l00Qoo`03001oogoo0?eoo`04001oogoo

Ool3O009Ool00g`0Oomoo`03O008Ool00g`0Oomoo`07Ool3O008Ool00g`0Oomoo`08Ool3O007Ool0

0g`0Oomoo`09Ool00g`0Oomoo`03O008Ool00g`0Oomoo`0:Ool3O00>Ool3O009Ool00g`0Oomoo`03

O008Ool00g`0Oomoo`04Ool3O01?Ool002moo`=l00moo`03O01oogoo00Aoo`=l00moo`=l00Ioo`03

O01oog`0009l00eoo`03O01oog`0009l00Qoo`=l00Uoo`=l00Ioo`=l00ioo`03O01oogoo00Uoo`=l

00ioo`=l00Uoo`03O01oogoo00=l00Ioo`04001oogooO005Ool3O009Ool00`00Oomoo`3lOol01000

Oomoogoo0g`02Goo00=l07ooOol00g`02Goo00=l07ooOol01Woo0g`02Goo00=l07ooOol01goo0g`0

4goo00=l07ooOol00g`02Goo00=l07ooOol02Goo0g`03Woo0g`02Goo00=l07ooOol00g`02Goo00=l

07ooOol00goo0g`0Cgoo000`Ool3O00>Ool00g`0Oomoo`05Ool3O00>Ool3O006Ool00g`0Ooml0002

O00>Ool4O008Ool3O009Ool3O007Ool2O00>Ool00g`0Oomoo`02Ool00g`0Oomoo`05Ool3O006Ool0

0g`0Oomoo`04Ool3O00:Ool4O008Ool00`00Ooml0006Ool3O009Ool00`00Oomoo`03Ool00g`0Oomo

o`3dOol00`00Oomoo`02Ool3O00:Ool4O00:Ool00g`0Oomoo`06Ool3O00:Ool00g`0Oomoo`06Ool3

O00DOol4O00:Ool00g`0Oomoo`02Ool00g`0Oomoo`05Ool3O006Ool00g`0Oomoo`04Ool3O00:Ool4

O00:Ool00g`0Oomoo`04Ool3O00?Ool00g`0Oomoo`0lOol0035oo`=l00eoo`9l00Moo`9l00ioo`=l

00Moo`Al00moo`Al00Qoo`=l00Qoo`=l00Moo`=l00ioo`03O01oogoo009oo`03O01oogoo00Aoo`=l

00Moo`03O01oogoo00Aoo`=l00Uoo`Al00Qoo`03001oog`000Moo`9l00Uoo`03001oogoo00=oo`03

O01oogoo0?=oo`03001oogoo00Aoo`=l00Uoo`Al00Yoo`03O01oogoo00Ioo`=l00]oo`03O01oogoo

00Ioo`=l00]oo`03O01oogoo00Eoo`Al00Yoo`03O01oogoo00=oo`03O01oogoo00Aoo`=l00Moo`03

O01oogoo00Aoo`=l00Uoo`Al00Yoo`03O01oogoo00Eoo`9l00moo`03O01oogoo03aoo`00<Woo0W`0

3Goo0W`027oo0W`03Goo0W`027oo17`047oo0g`027oo0g`027oo0g`01goo0g`03Woo00=l07ooOol0

0Woo00=l07ooOol017oo0g`01goo00=l07ooOol017oo0g`02Goo0g`02Woo00<007`0O0001goo0W`0

2Goo00<007ooOol00Woo0W`0lgoo00<007ooOol01Goo0g`02Goo0g`02goo0W`01goo0g`02goo0W`0

1goo0g`02goo00=l07ooOol01Goo0g`02goo0W`017oo00=l07ooOol017oo0g`01goo00=l07ooOol0

17oo0g`02Goo0g`02goo0W`01goo0W`03Woo0W`0?Goo000cOol2O00;Ool3O009Ool2O00;Ool3O008

Ool3O00AOol4O007Ool3O007Ool3O008Ool4O00=Ool00g`0Oomoo`02Ool2O005Ool4O006Ool00g`0

Oomoo`04Ool3O009Ool3O00;Ool00`00O01oo`07Ool2O009Ool01000Oomoogoo0W`0lWoo00<007oo

Ool01Woo0g`02Goo0g`037oo00=l07ooOol01Goo0g`02goo0g`01Woo0g`02goo0W`01Woo0g`037oo

00=l07ooOol00Woo0W`01Goo17`01Woo00=l07ooOol017oo0g`02Goo0g`037oo00=l07ooOol01Woo

0W`03Goo0W`0?Goo000dOol3O009Ool3O00:Ool3O008Ool3O00:Ool2O00BOol3O007Ool3O006Ool3

O009Ool4O00=Ool2O004Ool3O004Ool3O005Ool3O005Ool4O007Ool4O00;Ool3O008Ool3O008Ool0

0`00Ooml0002O03aOol00`00Oomoo`07Ool4O007Ool4O00;Ool3O006Ool4O00:Ool4O005Ool4O008

Ool4O005Ool4O00;Ool3O004Ool3O004Ool3O005Ool3O005Ool4O007Ool4O00;Ool3O008Ool3O00:

Ool3O00mOol003Ioo`=l00Eoo`Il00]oo`=l00Eoo`=l00Qoo`El01=oo`El0003Ooml07`000]l00Qo

o`Yl00Qoo`Ml0003Ooml07`0011l009oo`Yl009oo`El00Yoo`Ml00Qoo`=l00Ioo`Il0?1oo`03001o

ogoo00Aoo`Yl009oo`El00Yoo`Ml0003Ooml07`000Ql00Eoo`Ql0003Ooml07`0011l00=oo`El00Yo

o`Ml009ooa9l009oo`Yl009oo`El00Yoo`Ml00Qoo`=l00Ioo`Il03aoo`00>7oo1g`00goo0W`03Goo

1g`0RGoo00<007ooOol02goo27`000D007ooOomoog`00>moo`03001oogoo0:eoo`Ql00Aoo`03O01o

ogoo03Yoo`00hWoo00<007ooOol04goo00<007ooOol0kgoo00<007ooOol0mgoo003SOol00`00Oomo

o`0COol00`00Oomoo`3]Ool00`00Oomoo`3hOol00>=oo`03001oogoo01Aoo`03001oogoo0>]oo`03

001oogoo0?Uoo`00i7oo00<007ooOol057oo00<007ooOol0jGoo00<007ooOol0nWoo003UOol00`00

Oomoo`0DOol00`00Oomoo`3WOol00`00Oomoo`3kOol00>Ioo`03001oogoo01=oo`03001oogoo0>Mo

o`03001oogoo0?]oo`00iWoo00<007ooOol057oo00<007ooOol0iGoo00<007ooOol0o7oo003WOol0

0`00Oomoo`0DOol00`00Oomoo`3SOol00`00Oomoo`3mOol00>Qoo`03001oogoo01Aoo`03001oogoo

0>5oo`03001oogoo0?ioo`00jGoo00<007ooOol057oo00<007ooOol0ggoo00<007ooOol0ogoo003Z

Ool00`00Oomoo`0DOol00`00Oomoo`3MOol00`00Oomoo`3oOol1Ool00>]oo`03001oogoo01Aoo`03

001oogoo0=]oo`03001oogoo0?moo`9oo`00k7oo00<007ooOol057oo00<007ooOol0fGoo00<007oo

Ool0ogoo0goo003/Ool00`00Oomoo`0EOol2003GOol2003oOol6Ool00>eoo`03001oogoo01Ioo`03

001oogoo0==oo`03001oogoo0?moo`Ioo`00kWoo00<007ooOol05Woo00<007ooOol0dGoo00<007oo

Ool0ogoo1goo003_Ool00`00Oomoo`0FOol00`00Oomoo`3?Ool00`00Oomoo`3oOol8Ool00?1oo`03

001oogoo01Ioo`03001oogoo0<eoo`03001oogoo0?moo`Uoo`00lGoo00<007ooOol05Woo00<007oo

Ool0bgoo00<007ooOol0ogoo2Woo003aOol00`00Oomoo`0GOol00`00Oomoo`39Ool00`00Oomoo`3o

Ool;Ool00?9oo`03001oogoo01Moo`03001oogoo0<Moo`03001oogoo0?moo`aoo`00lgoo00<007oo

Ool05goo0P00aGoo0P00ogoo3goo003dOol00`00Oomoo`0HOol00`00Oomoo`31Ool00`00Oomoo`3o

Ool?Ool00?Eoo`03001oogoo01Qoo`03001oogoo0;moo`03001oogoo0?mooa1oo`00mWoo00<007oo

Ool067oo00<007ooOol0_Goo00<007ooOol0ogoo4Goo003gOol00`00Oomoo`0HOol2002lOol00`00

Oomoo`3oOolBOol00?Qoo`03001oogoo01Uoo`03001oogoo0;Moo`800?mooaEoo`00nGoo00<007oo

Ool06Goo0P00]Goo0P00ogoo5goo003jOol00`00Oomoo`0JOol2002bOol00`00Oomoo`3oOolGOol0

0?]oo`8001aoo`03001oogoo0:ioo`03001oogoo0?mooaQoo`00oGoo00<007ooOol06Woo00<007oo

Ool0Zgoo0P00ogoo6goo003nOol2000KOol2002ZOol00`00Oomoo`3oOolKOol00?moo`5oo`03001o

ogoo01Yoo`800:Ioo`800?mooaioo`00ogoo0Woo00<007ooOol06goo00<007ooOol0XGoo0P00ogoo

87oo003oOol3Ool00`00Oomoo`0KOol2002OOol2003oOolROol00?moo`Aoo`03001oogoo01aoo`80

09]oo`800?moobAoo`00ogoo1Goo00<007ooOol07Goo00<007ooOol0Ugoo00<007ooOol0ogoo97oo

003oOol6Ool00`00Oomoo`0MOol2002EOol2003oOolWOol00?moo`Moo`8001moo`80095oo`800?mo

obUoo`00ogoo2Goo00<007ooOol07Woo0P00SGoo0P00ogoo:goo003oOol:Ool2000POol00`00Oomo

o`29Ool00`00Oomoo`3oOol[Ool00?moo`aoo`03001oogoo01ioo`<008Eoo`<00?moobioo`00ogoo

3Goo00<007ooOol087oo0`00Ogoo0`00ogoo<Goo003oOol>Ool2000SOol2001kOol2003oOoldOol0

0?mooa1oo`03001oogoo029oo`8007Moo`800?moocIoo`00ogoo4Goo0P0097oo0P00M7oo00<007oo

Ool0ogoo=Woo003oOolCOol2000TOol2001_Ool3003oOoliOol00?mooaEoo`03001oogoo02=oo`<0

01Eoo`03001oogoo055oo`<00?moocaoo`00ogoo5Woo0P009Woo0`004goo0P00CWoo0`00ogoo?goo

003oOolHOol00`00Oomoo`0VOol3000BOol00`00Oomoo`18Ool3003oOom2Ool00?mooaUoo`8002Uo

o`H000eoo`80049oo`H00?moodEoo`00ogoo6goo0P00;Goo0`0037oo00<007ooOol0?7oo0`00ogoo

Bgoo003oOolMOol00`00Oomoo`0]Ool3000:Ool2000iOol3003oOom>Ool00?mooaioo`80031oo`H0

00Ioo`80039oo`D00?mooe5oo`00ogoo87oo0`00<goo0P001Woo00<007ooOol0;Goo0P00ogooEWoo

003oOolSOol2000jOol2003oOon5Ool00?moobEoo`8000Uoo`03001oogoo01aooa<00?moohAoo`00

ogoo9goo0P0027oo0P00ogoo/goo003oOolYOol00`00Oomoo`07Ool00`00Oomoo`3oOon`Ool00?mo

oa9oo`L07a5oo`<000Moo`800?mook1oo`00ogoo57oo0`0O5Woo0`001Woo00<007ooOol0ogoo[Goo

003oOolDOol301lIOol20005Ool00`00Oomoo`3oOon/Ool00?mooaAoo`<07a]oo`<000=oo`800?mo

ojaoo`00ogoo57oo0`0O7Woo0P000goo00<007ooOol0ogooZGoo003oOolDOol301lTOol2003oOonY

Ool00?mooaAoo`<07bAoo`<00?moojQoo`00ogoo57oo0`0O87oo1000ogooZgoo003DOol701l>Ool6

01l7Ool701l2Ool701l2Ool701l4Ool301l00goo01l07`0301l:Ool401l3Ool201l3Ool400000goo

01l07`0201l5Ool401l4Ool301l6Ool401l3Ool701l7Ool601l6Ool701l2Ool701l3Ool401l4Ool3

01l3Ool701lCOol901l8Ool601l6Ool501l7Ool00`0OOomoo`0501l8Ool401l3Ool201l5Ool701l5

Ool401l4Ool00`0OOomoo`0501oDOol00=5oo``07`Yoo`@07`Aoo`807`Moo`<07`Ioo`<07`Ioo`<0

7`Ioo`D07`Aoo`807`Moo`H07`9oo`@07`03001oogoo009oo`H07`=oo`L07`03Ool07`0O00<07`Ao

o`H07`Aoo`<07`Moo`@07`Aoo`807`Ioo`<07`Ioo`<07`Aoo`L07`03Ool07`0O00<07`Aoo`<07aMo

o`D07`Uoo`D07`Ioo`P07`Ioo`<07`Aoo`<07`Eoo`H07`9oo`@07`Eoo`<07`Ioo`H07`=oo`<07`Ao

o`<07m9oo`00d7oo1@0O1Woo0`0O27oo0`0O1goo0P0O1Woo0`0O1Woo0`0O1Woo0`0O1Woo100O1Woo

0P0O1Goo100O0goo00<07`0001l0100O17oo0`0O0goo00<07goo01l00`0O0goo1@0O0Woo00@07goo

Oomoo`<07`=oo`0401moogooOol301l6Ool301l7Ool201l5Ool301l6Ool301l3Ool401l3Ool501l2

Ool0100OOomoogoo0`0O67oo0`0O2Goo100O1goo2P0O1Goo0P0O1Woo0P0O17oo100O0goo00<07goo

01l0100O17oo0`0O1Woo0`0O0goo00<07gooOol00P0O1Woo0P0OdWoo003?Ool401l:Ool201l6Ool4

01l7Ool301l5Ool301l6Ool301l6Ool301l6Ool301l7Ool301l4Ool301l5Ool401l6Ool301l5Ool3

01l6Ool301l6Ool301l7Ool301l5Ool401l7Ool301l4Ool301l6Ool301l3Ool301l6Ool301l6Ool3

01lHOol301l9Ool301l7Ool501l5Ool201l4Ool201l6Ool301l3Ool301l5Ool401l6Ool301l6Ool3

01l6Ool201l6Ool301oAOol00<ioo`@07`aoo`807`Eoo`<07`Qoo`<07`Eoo`<07`Ioo`<07`Ioo`<0

7`Ioo`<07`Qoo`807`Aoo`<07`Ioo`<07`Ioo`<07`Eoo`<07`Ioo`<07`Ioo`<07`Moo`<07`Eoo`<0

7`Qoo`<07`Aoo`<07`Ioo`<07`=oo`<07`Ioo`<07`Ioo`<07aQoo`<07`Qoo`<07`Qoo`@07`Moo`03

01moogoo009oo`0301moogoo00Eoo`<07`=oo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Ioo`0301moogoo

00Eoo`<07m5oo`00cWoo100O3Goo00<07gooOol00Woo100O2Goo0`0O17oo0`0O1Woo0`0O1Woo0`0O

1Woo0`0O27oo0`0O0goo0`0O1Woo0`0O1Woo0`0O1Goo0`0O1Woo0`0O1Woo0`0O1goo0`0O17oo100O

2Goo0`0O0goo0`0O1Woo0`0O0goo0`0O1Woo0`0O1Woo0`0O67oo0`0O1goo0`0O27oo100O27oo0P0O

2Woo100O0goo0`0O1Woo0`0O1Woo0`0O1Woo0`0O3Goo100OdGoo003=Ool401l?Ool0100OOomoogoo

100O2Goo0`0O17oo0`0O1Woo0`0O1Woo0`0O1Woo0`0O27oo0`0O0goo0`0O1Woo0`0O1Woo0`0O1Woo

0`0O1Goo0`0O1Woo0`0O1goo0`0O17oo100O2Goo0`0O0goo0`0O1Woo0`0O17oo0`0O1Goo0`0O1Woo

0`0O67oo0`0O1Woo100O27oo100O2Goo00<07gooOol01Woo1@0O17oo0`0O1Woo0`0O1Woo0`0O1Woo

0`0O2goo1@0OdWoo003=Ool401lCOol301l:Ool301l4Ool301l6Ool301l6Ool301l6Ool301l8Ool3

01l3Ool301l6Ool301l6Ool301l8Ool201l4Ool301l6Ool301l7Ool301l4Ool301l:Ool301l3Ool3

01l6Ool301l6Ool201l4Ool301l6Ool301lHOol301l6Ool301l9Ool301lAOol701l4Ool301l6Ool3

01l6Ool301l6Ool301l9Ool701oBOol00<aoo`@07aAoo`<07`Yoo`<07`Aoo`<07`Ioo`<07`Ioo`<0

7`Ioo`<07`Qoo`<07`=oo`<07`Ioo`<07`Ioo`<07`Yoo`<07`04Ool07`0O01l6Ool301l7Ool301l4

Ool301l:Ool301l3Ool301l6Ool301l8Ool301l017oo01l07`0O1Woo0`0O67oo0`0O1Goo0`0O2Woo

0`0O47oo1P0O1Woo0`0O1Woo0`0O1Woo0`0O1Woo0`0O27oo1P0Oe7oo003<Ool401lDOol301l9Ool4

01l4Ool301l6Ool301l6Ool301l6Ool301l8Ool301l3Ool301l6Ool301l6Ool301l=Ool401l6Ool3

01l7Ool301l4Ool301l9Ool401l3Ool301l6Ool301l;Ool401l6Ool301lHOol301l4Ool401l:Ool3

01l?Ool501l8Ool301l6Ool301l6Ool301l6Ool301l7Ool501oFOol00<aoo`@07aAoo`<07`Uoo`@0

7`Aoo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Qoo`<07`=oo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Eoo`<0

7`Ioo`<07`Moo`<07`Aoo`<07`Uoo`@07`=oo`<07`Ioo`<07`Aoo`<07`Eoo`<07`Ioo`<07aQoo`<0

7`Aoo`<07`]oo`h07`=oo`@07`Yoo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Ioo`@07mQoo`00c7oo100O

5Goo0`0O27oo0`0O1Goo0`0O1Woo0`0O1Woo0`0O1Woo0`0O1goo100O0goo0`0O1Woo0`0O1Woo0`0O

1Woo0`0O1Goo0`0O1Woo0`0O1goo0`0O1Goo0`0O27oo0`0O17oo0`0O1Woo0`0O17oo0`0O1Goo0`0O

1Woo0`0O67oo2P0O37oo0P0O1goo100O0goo0`0O1Woo00<07gooOol00Woo0`0O1Woo0`0O1Woo0`0O

1Woo0`0O1Woo0`0O1Woo00<07gooOol0d7oo003<Ool401lEOol301l7Ool401l5Ool401l5Ool401l5

Ool301l6Ool401l6Ool301l4Ool301l6Ool301l6Ool301l6Ool301l5Ool301l6Ool301l7Ool301l5

Ool301l7Ool401l4Ool401l5Ool301l4Ool301l5Ool301l6Ool301lHOol301l5Ool401l:Ool201l7

Ool301l4Ool201l6Ool201l4Ool301l6Ool301l6Ool301l6Ool301l6Ool201l6Ool201oBOol00<ao

o`@07aIoo`807`Moo`<07`Aoo`D07`03Ool07goo009oo`@07`03Ool07goo009oo`@07`Aoo`D07`03

Ool07goo009oo`D07`Aoo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Eoo`<07`Ioo`<07`Eoo`D07`Ioo`80

7`Moo`<07`=oo`D07`03Ool07goo009oo`@07`Aoo`<07`Eoo`<07`Ioo`<07aQoo`<07`Moo`<07`Yo

o`807`Eoo`@07`Aoo`807`Ioo`807`Aoo`<07`Ioo`<07`Ioo`<07`Ioo`<07`Ioo`807`Ioo`807m9o

o`00c7oo100O5goo0`0O0goo100O1Woo100O0Woo1P0O0goo1P0O1Woo100O00=oo`0O01l01P0O1Goo

0`0O1Woo0`0O1Woo0`0O1goo0`0O0goo0`0O1goo0`0O1Woo100O1goo0`0O0goo100O1Goo100O0Woo

1P0O1Woo0`0O0goo0`0O1goo0`0O67oo0`0O27oo0`0O2Woo0P0O0goo100O1Woo0P0O17oo0`0O17oo

0`0O1Woo0`0O1Woo0`0O1Woo0`0O1goo0P0O17oo0`0OdWoo003=Ool301lIOol601l:Ool201l3Ool4

01l5Ool401l9Ool201l3Ool401l5Ool501l4Ool501l3Ool:01l5Ool601l5Ool:01l4Ool201l9Ool6

01l9Ool201l3Ool401l9Ool601l8Ool301lHOol301l8Ool401l;Ool501l9Ool501l2Ool00`0OOomo

o`0501l4Ool501l6Ool301l3Ool:01l4Ool501l2Ool00`0OOomoo`3@Ool00<eoo`<07`moo`0301mo

ogoo05=oo`@07aIoo`@07d9oo`<07aQoo`<07`Uoo`<07cMoo`<07`Eoo`@07n9oo`00cGoo100O3Woo

00<07gooOol0E7oo0`0O5goo0`0O@Woo0`0O67oo0`0O2Goo0`0O=goo0`0O1Woo0`0OhWoo003>Ool3

01l=Ool201mGOol201lHOol201m2Ool301lHOol301l9Ool301lgOol301l7Ool201oROol00<ioo`@0

7`aoo`807eMoo`807aQoo`807d9oo`<07aQoo`<07`Qoo`@07cMoo`<07`Moo`807n9oo`00cgoo0`0O

2goo0P0OFGoo00<07gooOol05goo00<07gooOol0@7oo0`0O67oo0`0O27oo0`0O>7oo0`0O27oo00<0

7gooOol0h7oo003@Ool301l9Ool301nfOol301lHOol301l7Ool401lhOol301o[Ool00=9oo`<07`Eo

o`D07g]oo`<07cIoo`D07aMoo`D07`Eoo`@07cMoo`D07n]oo`00e7oo1`0O0goo00<07gooOol0NGoo

0`0O=goo100O5Goo3P0O>Woo100Ojgoo003oOomKOol301liOol201mOOol201o[Ool00?mooomoonIo

o`00ogooogooiWoo003oOoooOooVOol00?mooomoonIoo`00ogooogooiWoo003oOoooOooVOol00?mo

oomoonIoo`00ogooogooiWoo003oOoooOooVOol00001\

\>"],

  ImageRangeCache->{{{0, 739.125}, {387.25, 0}} -> {-4.2086, -2.10501, 

  0.0227761, 0.0227761}}],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Mathematical Software Systems and Theorema ", "Subsection"],



Cell[CellGroupData[{



Cell[TextData[{

  "Present Math Software Systems (",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  ")"

}], "Subsubsection",

  CellTags->"present-systems"],



Cell[TextData[{

  "Tremendous progress in ",

  StyleBox["supporting the programming and computing phase",

    FontColor->RGBColor[0, 0, 1]],

  "."

}], "Text"],



Cell[BoxData[

    FormBox[

      RowBox[{"Almost", " ", 

        StyleBox["no",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[" ",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox["support",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[" ",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox["in",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[" ",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox["the",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[" ",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox["proving",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[" ",

          FontColor->RGBColor[0, 0, 1]], 

        StyleBox[\(phase . \),

          FontColor->RGBColor[0, 0, 1]]}], TextForm]], "Text"],



Cell[TextData[{

  "The ",

  StyleBox["inventing phase is essentially \"human\"",

    FontColor->RGBColor[0, 0, 1]],

  ". However, the better the computer-support for the other phases, the more \

likely is \"invention\"."

}], "Text"],



Cell[TextData[{

  ButtonBox["\[Rule]",

    ButtonData:>"present-theorem-proving-systems",

    ButtonStyle->"Hyperlink"],

  "\n\n\n\n\n\n\n\n\n\n"

}], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Present Automated Theorem Proving Systems", "Subsubsection"],



Cell[TextData[{

  "Tremendous progress in ",

  StyleBox["proving.",

    FontColor->RGBColor[0, 0, 1]]

}], "Text",

  CellTags->"present-theorem-proving-systems"],



Cell[TextData[{

  "No support of ",

  StyleBox["the other phases.",

    FontColor->RGBColor[0, 0, 1]]

}], "Text"],



Cell[TextData[{

  "The proofs generated are not meant to be read by humans (\"",

  StyleBox["black box proving",

    FontColor->RGBColor[0, 0, 1]],

  "\")."

}], "Text"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"theorema-fills-gap",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n",

  ButtonData:>"theorema-fills-gap",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Theorema", "Subsubsection"],



Cell[TextData[{

  "Tries to ",

  StyleBox["close the gap",

    FontColor->RGBColor[0, 0, 1]],

  ": ",

  StyleBox[

  "Support also the proving phase without giving up support in the other \

phases",

    FontColor->RGBColor[1, 0, 0]],

  "."

}], "Text",

  CellTags->"theorema-fills-gap"],



Cell[TextData[{

  "Natural approach: ",

  StyleBox["Add proving to ",

    FontColor->RGBColor[0, 0, 1]],

  StyleBox["Mathematica",

    FontSlant->"Italic",

    FontColor->RGBColor[0, 0, 1]],

  StyleBox[".",

    FontColor->RGBColor[0, 0, 1]]

}], "Text"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"theorema-distinctive-features",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"theorema-distinctive-features",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Distinctive Features of Theorema", "Subsubsection"],



Cell[TextData[{

  "integration of ",

  StyleBox["existing math system",

    FontColor->RGBColor[0, 0, 1]],

  " (",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " 3.0)"

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  CellTags->"theorema-distinctive-features"],



Cell[TextData[{

  "imitation of ",

  StyleBox[" human proof style",

    FontColor->RGBColor[0, 0, 1]]

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  StyleBox["natural language",

    FontColor->RGBColor[0, 0, 1]],

  " formulation of proofs"

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[StyleBox["usual mathematical syntax",

  FontColor->RGBColor[0, 0, 1]]], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  "emphasis on generating the ",

  StyleBox["routine parts",

    FontColor->RGBColor[0, 0, 1]],

  " of proofs"

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  "combination with",

  StyleBox[" functor ",

    FontColor->RGBColor[0, 0, 1]],

  "programming: ",

  StyleBox["multi-method",

    FontColor->RGBColor[1, 0, 1]],

  " proving ",

  StyleBox["(a special prover for each functor)",

    FontColor->RGBColor[0, 0, 1]]

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[StyleBox["failure report",

  FontColor->RGBColor[0, 0, 1]]], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  "integration into ",

  StyleBox["math textbook",

    FontColor->RGBColor[0, 0, 1]],

  " generation and ",

  StyleBox["math teaching",

    FontColor->RGBColor[0, 0, 1]]

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"role-of-mathematica",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n",

  ButtonData:>"role-of-mathematica",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell[TextData[{

  "The Role of ",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " in ",

  StyleBox["Theorema",

    FontSlant->"Italic"],

  ":"

}], "Subsubsection"],



Cell[TextData[{

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " \[Subset]  higher-order equational logic. Hence, ",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " can be used as a \"",

  StyleBox["logic internal programming language",

    FontColor->RGBColor[0, 0, 1]],

  "\":"

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  CellTags->"role-of-mathematica"],



Cell[TextData[{

  StyleBox["Example",

    FontWeight->"Bold"],

  ":"

}], "Text"],



Cell[BoxData[

    \(Groebner\[Dash]basis[\ F]\ \ \[DoubleLongLeftRightArrow]\ \ \ \ 

        \(\[ForAll] \+\(f, g\  \[Element] \ F\)\ \ 

          NF[\ \ SP[\ f, \ g], \ F]\)\  = \ 0\)], "Input",

  CellDingbat->None,

  FontFamily->"Times",

  FontColor->RGBColor[1, 0, 1]],



Cell[TextData[StyleBox["This formula is both a theorem and an algorithm!",

  FontColor->RGBColor[0, 0, 1]]], "Text",

  CellDingbat->None],



Cell[TextData[{

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " is also our ",

  StyleBox["implementation language",

    FontColor->RGBColor[0, 0, 1]],

  " for the provers."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  StyleBox["Typesetting",

    FontColor->RGBColor[0, 0, 1]],

  " and ",

  StyleBox["extensibile syntax",

    FontColor->RGBColor[0, 0, 1]],

  " facility."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  StyleBox["Notebook, nested cells",

    FontColor->RGBColor[0, 0, 1]],

  " and ",

  StyleBox["hyperlink",

    FontColor->RGBColor[0, 0, 1]],

  " facilities."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Theorema Computing Sessions", "Subsection"],



Cell[CellGroupData[{



Cell[BoxData[

    \(TextForm\`What\ is\ a\ Theorema\ Computing\ \(Session?\)\)], 

  "Subsubsection",

  CellTags->"computing-session"],



Cell[TextData[{

  "Theorema computing session = ",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " session with slightly different syntax."

}], "Text",

  CellFrame->True,

  TextAlignment->Center,

  TextJustification->0,

  Background->RGBColor[1, 1, 0]],



Cell["\<\

Theorema algorithmic formulae = predicate logic formulae with bounded \

quantifiers\

\>", "Text",

  CellFrame->True,

  TextAlignment->Center,

  TextJustification->0,

  Background->RGBColor[1, 1, 0]],



Cell[BoxData[

    \(InitializeTheorema[]\)], "Input"],



Cell[BoxData[

    \(ComputingSession[]\)], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"bounded-quantifiers",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n",

  ButtonData:>"bounded-quantifiers",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Computing with Bounded Quantifiers", "Subsubsection"],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[ForAll] \+\(i = \(-10\), \[Ellipsis], 10\)i \[LessEqual] 0\)], "Input",\



  CellTags->"bounded-quantifiers"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[Exists] \+\(i = \(-10\), \[Ellipsis], 10\)i \[LessEqual] 0\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"defined-functions",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n",

  ButtonData:>"defined-functions",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(TextForm\`Computing\ with\ Defined\ Functions\)], "Subsubsection"],



Cell[BoxData[

    \(any[x] \[Colon] \n\t\((f[x] := x + 3)\)\)], "Input",

  CellTags->"defined-functions"],



Cell[CellGroupData[{



Cell[BoxData[

    \(f[4]\)], "Input"],



Cell[BoxData[

    \(7\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[n]\), "\[Colon]", "\n", "\t", GridBox[{

          {\(fac[1] := 1\)},

          {\(fac[n] := n\ fac[n - 1]\)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(fac[1]\)], "Input"],



Cell[BoxData[

    \(1\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(fac[6]\)], "Input"],



Cell[BoxData[

    \(720\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[x]\), "\[Colon]", "\n", "\t", GridBox[{

          {\(s[x] := \(-1\) \[DoubleLeftArrow] x < 0\)},

          {\(s[0] := 0\)},

          {\(s[x] := 1\)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(s[5]\)], "Input"],



Cell[BoxData[

    \(1\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(s[0]\)], "Input"],



Cell[BoxData[

    \(0\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(s[\(-4\)]\)], "Input"],



Cell[BoxData[

    \(\(-1\)\)], "Output"]

}, Open  ]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"numbers",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"numbers",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Computing with Numbers", "Subsubsection"],



Cell[CellGroupData[{



Cell[BoxData[

    \(2 + 3\)], "Input",

  CellTags->"numbers"],



Cell[BoxData[

    \(5\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(3 \[LessEqual] 2\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[Sum]\+\(i = 1, \[Ellipsis], 3\)i\)], "Input"],



Cell[BoxData[

    \(6\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[Sum]\+\(i = 1, \[Ellipsis], \[Product]\+\(j = 1, \[Ellipsis], 4\)j\)i

      \)], "Input"],



Cell[BoxData[

    \(300\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\(max\+\(i = \(-5\), \[Ellipsis], 3\)\) \((\((\(-i\))\)\^2)\)\)], 

  "Input"],



Cell[BoxData[

    \(25\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(3 \[VerticalBar] 9\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[BoxData[

    \(any[n] \[Colon] \n\t

      \((is\[Dash]prime[n] := 

          \((\[ForAll] \+\(d = 1, \[Ellipsis], n

                \)\((d \[VerticalBar] n)\)\[DoubleLongRightArrow]\((

                  \((d = 1)\) \[Or] \((d = n)\))\))\))\)\)], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]prime[7]\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]prime[9]\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\(#\+\(i = 10, \[Ellipsis], 20\)\) \((is\[Dash]prime[i])\)\)], "Input"],



Cell[BoxData[

    \(4\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\(\[Mu]\+\(i = 10, \[Ellipsis], 20\)\) \((is\[Dash]prime[i])\)\)], 

  "Input"],



Cell[BoxData[

    \(11\)], "Output"]

}, Open  ]],



Cell[TextData[{

  "\n",

  ButtonBox["\[Rule]",

    ButtonData:>"tuples",

    ButtonStyle->"Hyperlink"],

  "\n\n\n\n\n"

}], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Computing with Tuples", "Subsubsection"],



Cell[CellGroupData[{



Cell[BoxData[

    \(17\[Cup]\[LeftAngleBracket]2, 3, 4, 2\[RightAngleBracket]\)], "Input",

  CellTags->"tuples"],



Cell[BoxData[

    \(\[LeftAngleBracket]17, 2, 3, 4, 2\[RightAngleBracket]\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]17, 2, 3, 4, 2\[RightAngleBracket] \[CupCap] 

      \[LeftAngleBracket]3, 4, 2\[RightAngleBracket]\)], "Input"],



Cell[BoxData[

    \(\[LeftAngleBracket]17, 2, 3, 4, 2, 3, 4, 2\[RightAngleBracket]\)], 

  "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]2, 3, 1, 4, 5\[RightAngleBracket]\_3\)], "Input"],



Cell[BoxData[

    \(1\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]\ 

      i  |\+\(i = 1, \[Ellipsis], 10\)\[RightAngleBracket]\)], "Input"],



Cell[BoxData[

    \(\[LeftAngleBracket]1, 2, 3, 4, 5, 6, 7, 8, 9, 10

      \[RightAngleBracket]\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]\ 

      is\[Dash]prime[i] |\+\(i = 1, \[Ellipsis], 10\)\[RightAngleBracket]\)], 

  "Input"],



Cell[BoxData[

    \(\[LeftAngleBracket]True, True, True, False, True, False, True, False, 

      False, False\[RightAngleBracket]\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[X, Y]\), "\[Colon]", "\n", "\t", GridBox[{

          {

            \(X\[CirclePlus]Y := 

              \[LeftAngleBracket]\ 

                \((X\_i + Y\_i)\) |\+\(i = 1, \[Ellipsis], 

                    \[LeftBracketingBar]X

                      \[RightBracketingBar]\)\[RightAngleBracket]\)},

          {

            \(X \[PrecedesEqual] Y := 

              where[n = \[LeftBracketingBar]X\[RightBracketingBar], 

                \[ForAll] \+\(i = 1, \[Ellipsis], n\)\((

                    X\_i \[LessEqual] Y\_i)\)]\)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]1, 2, 3

        \[RightAngleBracket]\[CirclePlus]\[LeftAngleBracket]2, 3, 4

        \[RightAngleBracket]\)], "Input"],



Cell[BoxData[

    \(\[LeftAngleBracket]3, 5, 7\[RightAngleBracket]\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]1, 2, 3\[RightAngleBracket] \[PrecedesEqual] 

      \[LeftAngleBracket]2, 3, 4\[RightAngleBracket]\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftAngleBracket]1, 2, 3\[RightAngleBracket] \[PrecedesEqual] 

      \[LeftAngleBracket]2, 1, 4\[RightAngleBracket]\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[x, y, Z\&_]\), "\[Colon]", "\n", "\t", GridBox[{

          {

            \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]] := True

              \)},

          {

            \(is\[Dash]sorted[\[LeftAngleBracket]x\[RightAngleBracket]] := 

              True\)},

          {

            \(is\[Dash]sorted[

                \[LeftAngleBracket]x, y, Z\&_\[RightAngleBracket]] := 

              x \[LessEqual] y \[And] 

                is\[Dash]sorted[

                  \[LeftAngleBracket]y, Z\&_\[RightAngleBracket]]\)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]sorted[\[LeftAngleBracket]\[RightAngleBracket]]\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]sorted[\[LeftAngleBracket]5\[RightAngleBracket]]\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]sorted[\[LeftAngleBracket]5, 6, 8, 8, 9\[RightAngleBracket]]

      \)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]sorted[\[LeftAngleBracket]5, 6, 5, 8, 9\[RightAngleBracket]]

      \)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"sets",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"sets",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Computing with Sets", "Subsubsection"],



Cell[CellGroupData[{



Cell[BoxData[

    \({\ \((2  i)\)\( | \+\(i \[Element] {1, 2, 3}\)\)}\)], "Input",

  CellTags->"sets"],



Cell[BoxData[

    \({2, 4, 6}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({i  |\+\(i = 1, \[Ellipsis], 20\)is\[Dash]prime[i]}\)], "Input"],



Cell[BoxData[

    \({1, 2, 3, 5, 7, 11, 13, 17, 19}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({2, 3, 1, 2, 3} = {1, 2, 3, 3, 3}\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({2, 3, 1, 2, 3}\)], "Input"],



Cell[BoxData[

    \({1, 2, 3}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({1, 2, 3, 3, 3}\)], "Input"],



Cell[BoxData[

    \({1, 2, 3}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({1, 2, 1, 3} = {2, 1, 4, 3}\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(2 \[Element] {2, 1, 2, 4}\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[is\[Dash]set[A, B]]\), "\[Colon]", "\n", "\t", GridBox[{

          {

            \(A\[CircleMinus]B := {\ 

                x  |\+\(x \[Element] A\)\((x \[NotElement] B)\)}\)},

          {

            \(A \[SubsetEqual] B := 

              \[ForAll] \+\(x \[Element] A\)x \[Element] B\)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \({2, 3, 1, 3}\[CircleMinus]{3, 5}\)], "Input"],



Cell[BoxData[

    \({1, 2}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(2\[CircleMinus]3\)], "Input"],



Cell[BoxData[

    \(2\[CircleMinus]3\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]set[2]\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \({3, 2, 5} \[SubsetEqual] {1, 2, 3, 4, 5}\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]set[{2, 3, 2}]\)], "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]tuple[{2, 3, 2}]\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]set[\[LeftAngleBracket]2, 3, 2\[RightAngleBracket]]\)], "Input"],



Cell[BoxData[

    \(False\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(is\[Dash]tuple[\[LeftAngleBracket]2, 3, 2\[RightAngleBracket]]\)], 

  "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftBracketingBar]\[LeftAngleBracket]2, 3, 2

        \[RightAngleBracket]\[RightBracketingBar]\)], "Input"],



Cell[BoxData[

    \(3\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftBracketingBar]{2, 3, 2}\[RightBracketingBar]\)], "Input"],



Cell[BoxData[

    \(2\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[LeftBracketingBar]\(-3\)\[RightBracketingBar]\)], "Input"],



Cell[BoxData[

    \(3\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[AE][{3}]\)], "Input"],



Cell[BoxData[

    \(3\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(an\[Dash]element[{3, 2, 1, 4}]\)], "Input"],



Cell[BoxData[

    \(1\)], "Output"]

}, Open  ]],



Cell[BoxData[

    RowBox[{\(any[is\[Dash]set[A]]\), "\[Colon]", "\n", "\t", GridBox[{

          {\(\[GothicCapitalP][A] := {{}} \[DoubleLeftArrow] \((A = {})\)\)},

          {

            \(\[GothicCapitalP][A] := 

              where[a = an\[Dash]element[A], 

                P = \[GothicCapitalP][A\[CircleMinus]{a}], \ \n\t

                P \[Union] {\(({a} \[Union] B)\)\( | \+\(B \[Element] P\)\)}]

                \)}

          },

        ColumnAlignments->{Left}]}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[GothicCapitalP][{}]\)], "Input"],



Cell[BoxData[

    \({{}}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[GothicCapitalP][{3}]\)], "Input"],



Cell[BoxData[

    \({{}, {3}}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[GothicCapitalP][{1, 3}]\)], "Input"],



Cell[BoxData[

    \({{}, {1}, {3}, {1, 3}}\)], "Output"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(\[GothicCapitalP][{1, 3, 4, 8}]\)], "Input"],



Cell[BoxData[

    \({{}, {1}, {3}, {4}, {8}, {1, 3}, {1, 4}, {1, 8}, {3, 4}, {3, 8}, {4, 

        8}, {1, 3, 4}, {1, 3, 8}, {1, 4, 8}, {3, 4, 8}, {1, 3, 4, 8}}\)], 

  "Output"]

}, Open  ]],



Cell[BoxData[

    \(EndComputingSession[]\)], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Theorema Computing in Proving Sessions", "Subsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", \("\<is prime\>", any[n], \n\t

      is\[Dash]prime[n] = 

        \((\[ForAll] \+\(d = 1, \[Ellipsis], n

              \)\((d \[VerticalBar] n)\)\[DoubleLongRightArrow]\((

                \((d = 1)\) \[Or] \((d = n)\))\))\)\), "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"computing-in-proving-sessions"],



Cell[CellGroupData[{



Cell[BoxData[

    \(?? \ is\[Dash]prime\)], "Input"],



Cell[BoxData[

    \("Global`is\[Dash]prime"\)], "Print"]

}, Open  ]],



Cell[CellGroupData[{



Cell[BoxData[

    \(Compute[is\[Dash]prime[7], KB \[Rule] Definition["\<is prime\>"]]\)], 

  "Input"],



Cell[BoxData[

    \(True\)], "Output"]

}, Open  ]],



Cell[BoxData[

    \(Clear[SuperPlus]\)], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{

            {\(m + 0 = m\), "\"\<+: base case\>\""},

            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\), "\"\<+: ind case\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[CellGroupData[{



Cell[BoxData[

    \(\(Compute[\(\(\(0\^+\)\^+\)\^+\) + \(\(0\^+\)\^+\), 

      KB \[Rule] Definition["\<addition\>"]]\ \)\)], "Input"],



Cell[BoxData[

    \(\(\((\(\((\(\((\(\((\(0\^+\))\)\^+\))\)\^+\))\)\^+\))\)\^+\)\)], 

  "Output"]

}, Open  ]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Theorema Proving in Proving Sessions", "Subsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<zero from left\>\"", ",", \(any[n]\), ",", "\n", "\t", GridBox[{

            {\(0 + n = n\), "\"\<ZL\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"proving-in-proving-sessions"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<zero from left\>"], \n\t

      KB \[Rule] Definition["\<addition\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<addition\>\"", ",", "\n", "\t", GridBox[{

            {\(Proposition["\<zero from left\>"]\)},

            {\(Definition["\<addition\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    \(\($TmaTraceLevel = 50; \)\)], "Input"],



Cell[BoxData[

    \(Compute[0 + \(\(0\^+\)\^+\), KB \[Rule] Definition["\<addition\>"]]\)], 

  "Input"],



Cell[TextData[StyleBox["addition_+: ind case",

  FontColor->RGBColor[0, 1, 0]]], "Text",

  GeneratedCell->True,

  CellAutoOverwrite->True],



Cell[TextData[StyleBox["addition_+: ind case",

  FontColor->RGBColor[0, 1, 0]]], "Text",

  GeneratedCell->True,

  CellAutoOverwrite->True],



Cell[TextData[StyleBox["addition_+: base case",

  FontColor->RGBColor[0, 1, 0]]], "Text",

  GeneratedCell->True,

  CellAutoOverwrite->True],



Cell[BoxData[

    \(\(\((\(0\^+\))\)\^+\)\)], "Output"],



Cell[BoxData[

    \(Compute[0 + \(\(0\^+\)\^+\), KB \[Rule] Theory["\<addition\>"]]\)], 

  "Input"],



Cell[TextData[StyleBox["addition_zero from left_ZL",

  FontColor->RGBColor[0, 1, 0]]], "Text",

  GeneratedCell->True,

  CellAutoOverwrite->True],



Cell[BoxData[

    \(\(\((\(0\^+\))\)\^+\)\)], "Output"],



Cell[BoxData[

    \(\($TmaTraceLevel = 0; \)\)], "Input"],



Cell["\<\

This simple example, in fact, shows the essence of mathematics:\

\>", "Text"],



Cell["\<\

More mathematical knowledge gives more efficient computation!\

\>", "Text",

  CellFrame->True,

  TextAlignment->Center,

  TextJustification->0,

  Background->RGBColor[1, 1, 0]],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Example: Theorema Propositional Proving", "Subsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<Iterated Implication\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\((P\[DoubleLongRightArrow]\((Q\[DoubleLongRightArrow]R)\))

                  \)\[DoubleLongLeftRightArrow]\((

                  \((P \[And] Q)\)\[DoubleLongRightArrow]R)\)\), 

              "\"\<ii\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"propositional-proving"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<Iterated Implication\>"], 

      KB \[Rule] {}, Prover -> PredicateProver\), "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<Peirce Implication\>\"", ",", "\n", "\t    ", GridBox[{

            {

              \(\((\((A\[DoubleLongRightArrow]B)\)\[DoubleLongRightArrow]A)

                  \)\[DoubleLongRightArrow]A\), "\"\<p\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<Peirce Implication\>"], 

      KB \[Rule] {}, Prover -> PredicateProver\), "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Example: Theorema Predicate Logic Proving", "Subsection"],



Cell[CellGroupData[{



Cell["Quantifier distributivity", "Subsubsection",

  CellTags->"quantifier-distributivity"],



Cell[BoxData[

    \(\($TmaDefaultProver = PredicateProver; \)\)], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<Quantifier Distributivity\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\((\[ForAll] \+x\((P[x]\[DoubleLongRightArrow]Q)\))

                  \)\[DoubleLongLeftRightArrow]\((

                  \((\[Exists] \+x P[x])\)\[DoubleLongRightArrow]Q)\)\), 

              "\"\<\[ForAll]d\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<Quantifier Distributivity\>"], KB \[Rule] {}, \n\t

      Prover \[Rule] PredicateProver\), "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"limit-of-sum",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n",

  ButtonData:>"limit-of-sum",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["The Limit of a Sum", "Subsubsection"],



Cell[BoxData[

    \(\($TmaDefaultProver = PredicateProver; \)\)], "Input"],



Cell["\<\

In the spirit of \"structured programming\", we build the definition of limit \

up in a hierarchy of definitions, one quantifier at a time:\

\>", "Text",

  CellTags->"limit-of-sum"],



Cell[CellGroupData[{



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<2-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a

                  \)limit[f, a]

                    \[DoubleLongLeftRightArrow]\(\[ForAll] \+\[Epsilon] limit[

                      f, a, \[Epsilon]]\)\), "\"\<l2:\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    \(General::"spell1" \( : \ \) 

      "Possible spelling error: new symbol name \"\!\(limit\)\" is similar to \

existing symbol \"\!\(Limit\)\"."\)], "Message"]

}, Open  ]],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<3-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, 

                  \[Epsilon]\)limit[f, a, \[Epsilon]]

                    \[DoubleLongLeftRightArrow]\(\[Exists] \+N limit[f, a, 

                      \[Epsilon], N]\)\), "\"\<l3:\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<4-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, \[Epsilon], N

                  \)limit[f, a, \[Epsilon], N]

                    \[DoubleLongLeftRightArrow]\(\[ForAll] \+n

                      \((n \[GreaterEqual] N)\)\[DoubleLongRightArrow]\((

                        \[LeftBracketingBar]f[n] - a\[RightBracketingBar] < 

                          \[Epsilon])\)\)\), "\"\<l4:\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell["Auxiliary knowledge:", "Text"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<sum of sequences\>\"", ",", \(any[f, g, x]\), ",", "\n", "\t", 

        GridBox[{

            {\(\((f\[CirclePlus]g)\)[x] = f[x] + g[x]\), 

              "\"\<\[CirclePlus]:\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<distance of sum\>\"", ",", 

        \(any[x, y, a, b, \[Delta], \[Epsilon]]\), ",", "\n", "\t", GridBox[{

            {

              \(\((\[LeftBracketingBar]x - a\[RightBracketingBar] < \[Delta] 

                    \[And] \[LeftBracketingBar]y - b\[RightBracketingBar] < 

                      \[Epsilon])\)\[DoubleLongRightArrow]\((

                  \[LeftBracketingBar]\((x + y)\) - 

                        \((a + b)\)\[RightBracketingBar] < 

                    \[Delta] + \[Epsilon])\)\), 

              "\"\<\[LeftBracketingBar]++\[RightBracketingBar]\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<max\>\"", ",", \(any[m, M, N]\), ",", "\n", "\t", GridBox[{

            {

              \(\((m \[GreaterEqual] max[M, N])

                  \)\[DoubleLongLeftRightArrow]\((

                  m \[GreaterEqual] M \[And] m \[GreaterEqual] N)\)\), 

              "\"\<max:\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    \(General::"spell1" \( : \ \) 

      "Possible spelling error: new symbol name \"\!\(max\)\" is similar to \

existing symbol \"\!\(Max\)\"."\)], "Message"]

}, Open  ]],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<4-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<4-ary limit\>"]\)},

            {\(Definition["\<sum of sequences\>"]\)},

            {\(Proposition["\<distance of sum\>"]\)},

            {\(Proposition["\<max\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell["Ultimately, we want to prove", "Text"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<2-ary limit of sum\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, g, b

                  \)\((limit[f, a] \[And] limit[g, b])\)\n\t

                  \[DoubleLongRightArrow]limit[f\[CirclePlus]g, a + b]\), 

              "\"\<l2+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell["\<\

The decomposition of the limit definition suggests building up the \

proposition (and its proof)  in a hierarchy of propositions (and proofs):\

\>", "Text"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<4-ary limit of sum\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, \[Delta], M, g, b, \[Epsilon], N\)\((

                  \((limit[f, a, \[Delta], M] \[And] 

                        limit[g, b, \[Epsilon], N])\)\n\t

                    \[DoubleLongRightArrow]limit[f\[CirclePlus]g, a + b, 

                      \[Delta] + \[Epsilon], max[M, N]])\)\), "\"\<l4+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[CellGroupData[{



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<4-ary limit of sum\>"], 

      KB \[Rule] Theory["\<4-ary limit\>"]\), "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

    \(Rule::"rhs"\), \( : \ \), 

      "\<\"Pattern \\!\\(\\\\[LeftSkeleton] 49 \\\\[RightSkeleton]\\) appears \

on the right-hand side of rule \\!\\(\\*StyleBox[\\(\\\\[LeftSkeleton] 49 \

\\\\[RightSkeleton]\\), Rule[FontWeight, \\\"Plain\\\"], Rule[FontSlant, \

\\\"Italic\\\"], Rule[Background, None]] \\\\[Rule] \\(\\\\[LeftSkeleton] 49 \

\\\\[RightSkeleton]\\)\\).\"\>"}]], "Message"]

}, Open  ]],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<3-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<3-ary limit\>"]\)},

            {\(Proposition["\<4-ary limit of sum\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<3-ary limit of sum\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, \[Delta], g, b, \[Epsilon]\)\((

                  \((limit[f, a, \[Delta]] \[And] limit[g, b, \[Epsilon]])\)\n

                    \t\[DoubleLongRightArrow]limit[f\[CirclePlus]g, a + b, 

                      \[Delta] + \[Epsilon]])\)\), "\"\<l3+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<3-ary limit of sum\>"], 

      KB \[Rule] Theory["\<3-ary limit\>"], Prover \[Rule] PredicateProver, 

      ProverOptions \[Rule] {PNDSearchDepth \[Rule] 60}\), "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<3-ary limit of sum: variant\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, g, b, \[Epsilon]\)\((

                  \((limit[f, a, \[Epsilon]/2] \[And] 

                        limit[g, b, \[Epsilon]/2])\)\n\t

                    \[DoubleLongRightArrow]limit[f\[CirclePlus]g, a + b, 

                      \[Epsilon]])\)\), "\"\<l3+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<2-ary limit\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<2-ary limit\>"]\)},

            {\(Proposition["\<3-ary limit of sum: variant\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<2-ary limit of sum\>\"", ",", "\n", "\t", GridBox[{

            {

              \(\[ForAll] \+\(f, a, g, b\)\((

                  \((limit[f, a] \[And] limit[g, b])\)\n\t

                    \[DoubleLongRightArrow]limit[f\[CirclePlus]g, a + b])

                  \)\), "\"\<l2+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<2-ary limit of sum\>"], 

      KB \[Rule] Theory["\<2-ary limit\>"], Prover \[Rule] PredicateProver\), 

      "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Example: Theorema Natural Number Induction Proving", "Subsection"],



Cell[CellGroupData[{



Cell["Definition of + and *", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{

            {\(m + 0 = m\), "\"\< +0\>\""},

            {\(m + \(n\^+\) = \(\((m + n)\)\^+\)\), "\"\< +.\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"definition-of-+-and-*"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<multiplication\>\"", ",", \(any[m, n]\), ",", "\n", "\t", 

        GridBox[{

            {\(m\ 0 = 0\), "\"\< *0\>\""},

            {\(m*\(n\^+\) = \((m\ n)\) + m\), "\"\< *.\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"properties-of-+-and-*",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"properties-of-+-and-*",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Proof of Some Properties of + and *", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition from left\>\"", ",", \(any[m, n]\), ",", "\n", "\t", 

        GridBox[{

            {\(0 + n = n\), "\"\<0+\>\""},

            {\(\(m\^+\) + n = \(\((m + n)\)\^+\)\), "\"\<.+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"properties-of-+-and-*"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<addition from left\>"], \n

      \tKB \[Rule] Definition["\<addition\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<associativity and commutativity of addition\>\"", ",", 

        \(any[m, n, p]\), ",", "\n", "\t", GridBox[{

            {\(m + \((n + p)\) = \((m + n)\) + p\), "\"\<a+\>\""},

            {\(m + n = n + m\), "\"\<c+\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["KnowledgeBase",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<addition left/right\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<addition\>"]\)},

            {\(Proposition["\<addition from left\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<associativity and commutativity of addition\>"], \n\t

      KB \[Rule] KnowledgeBase["\<addition left/right\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["KnowledgeBase",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition and multiplication\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<addition\>"]\)},

            {\(Definition["\<multiplication\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<zero multiplication from left\>\"", ",", \(any[n]\), ",", "\n", 

        "\t", GridBox[{

            {\(0  n = 0\), "\"\<0*\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<zero multiplication from left\>"], \n\t

      KB \[Rule] KnowledgeBase["\<addition and multiplication\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<successor multiplication from left\>\"", ",", \(any[m, n]\), ",", 

        "\n", "\t", GridBox[{

            {\(\(m\^+\) n = \((m\ n)\) + n\), "\"\<.*\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["KnowledgeBase",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition and multiplication\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<addition\>"]\)},

            {\(Proposition["\<addition from left\>"]\)},

            {

              \(Proposition["\<associativity and commutativity of addition\>"]

                \)},

            {\(Definition["\<multiplication\>"]\)},

            {\(Proposition["\<zero multiplication from left\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<successor multiplication from left\>"], \n\t

      KB \[Rule] KnowledgeBase["\<addition and multiplication\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<commutativity of multiplication\>\"", ",", \(any[m, n]\), ",", 

        "\n", "\t", GridBox[{

            {\(m\ n = n\ m\), "\"\<c*\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<add/mult left/right\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<addition\>"]\)},

            {\(Definition["\<multiplication\>"]\)},

            {\(Proposition["\<addition from left\>"]\)},

            {\(Proposition["\<zero multiplication from left\>"]\)},

            {\(Proposition["\<successor multiplication from left\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<commutativity of multiplication\>"], \n\t

      KB \[Rule] Theory["\<add/mult left/right\>"], \n\t

      Prover \[Rule] NNEqIndProver\), " ", "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<associativity of multiplication\>\"", ",", \(any[m, n, p]\), ",", 

        "\n", "\t", GridBox[{

            {\(m \((n\ p)\) = \((m\ n)\) p\), "\"\<a*\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"power",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n",

  ButtonData:>"power",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Power", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<power\>\"", ",", \(any[m, n]\), ",", "\n", "\t", GridBox[{

            {\(pow[m, 0] = \(0\^+\)\), "\"\<p0\>\""},

            {\(pow[m, \(n\^+\)] = pow[m, n]\ m\), "\"\<p.\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"power"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition of powers\>\"", ",", \(any[n, p, m]\), ",", "\n", "\t", 

        GridBox[{

            {\(pow[m, n + p] = pow[m, n]\ pow[m, p]\), "\"\<p\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<preparation for power\>\"", ",", "\n", "\t", GridBox[{

            {\(Proposition["\<addition from left\>"]\)},

            {\(Proposition["\<zero multiplication from left\>"]\)},

            {\(Proposition["\<successor multiplication from left\>"]\)},

            {\(Proposition["\<commutativity of multiplication\>"]\)},

            {\(Proposition["\<associativity of multiplication\>"]\)},

            {\(Definition["\<power\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", \(Proposition["\<addition of powers\>"], \n

      \tKB -> Theory["\<preparation for power\>"], \n\t

      Prover -> NNEqIndProver, 

      ProverOptions -> {

          ConstOrder -> {{\[Bullet][SuperPlus], \[Bullet][Plus], 

                \[Bullet][Times], pow}}}\), " ", "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Example: Theorema Sequence Induction Proving", "Subsection"],



Cell[CellGroupData[{



Cell["Length of Concatenation ", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<concatenation, length\>\"", ",", \(any[x, x\&_, y\&_]\), ",", 

        "\n", "\t", GridBox[{

            {

              \(\((\[LeftAngleBracket]x\&_\[RightAngleBracket] \[CupCap] 

                    \[LeftAngleBracket]\ y\&_\[RightAngleBracket])\) = 

                \[LeftAngleBracket]\ x\&_, \ y\&_\[RightAngleBracket]\), 

              "\"\<\[CupCap]\>\""},

            {

              \(\[LeftBracketingBar]\[LeftAngleBracket]\ 

                    \[RightAngleBracket]\[RightBracketingBar] = 0\), 

              "\"\<\[LeftBracketingBar]\[RightBracketingBar]\>\""},

            {

              \(\[LeftBracketingBar]\[LeftAngleBracket]\ x, 

                    y\&_\[RightAngleBracket]\[RightBracketingBar] = 

                \(\[LeftBracketingBar]\[LeftAngleBracket]\ 

                        y\&_\[RightAngleBracket]\[RightBracketingBar]\^+\)\), 

              "\"\<\[LeftBracketingBar]\[Ellipsis]\[RightBracketingBar]\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  CellTags->"length-of-concatenation"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<addition\>\"", ",", \(any[x, y]\), ",", "\n", "\t", GridBox[{

            {\(0 + x = x\), "\"\<+0\>\""},

            {\(\(x\^+\) + y = \(\((x + y)\)\^+\)\), "\"\<++\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<prerequisites for \[LeftBracketingBar]\[CupCap]\

\[RightBracketingBar]\>\"", ",", "\n", "\t", GridBox[{

            {\(Definition["\<concatenation, length\>"]\)},

            {\(Definition["\<addition\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      \("\<\[LeftBracketingBar]\[CupCap]\[RightBracketingBar]\>", 

      any[x\&_, y\&_], \n\t\ 

      \[LeftBracketingBar]\ 

          \[LeftAngleBracket]x\&_\[RightAngleBracket] \[CupCap] 

            \[LeftAngleBracket]\ 

              y\&_\[RightAngleBracket]\[RightBracketingBar] = 

        \[LeftBracketingBar]\[LeftAngleBracket]x\&_

                \[RightAngleBracket]\[RightBracketingBar] + 

          \[LeftBracketingBar]\[LeftAngleBracket]\ 

              y\&_\[RightAngleBracket]\[RightBracketingBar]\), "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition[

        "\<\[LeftBracketingBar]\[CupCap]\[RightBracketingBar]\>"], 

      KB \[Rule] 

        Theory["\<prerequisites for \[LeftBracketingBar]\[CupCap]\

\[RightBracketingBar]\>"], Prover \[Rule] TupleEqIndProver\), "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"reversion-of-concatenation",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n",

  ButtonData:>"reversion-of-concatenation",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Reversion of Concatenation ", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<concatenation and reversion\>\"", ",", \(any[x, x\&_, y\&_]\), 

        ",", "\n", "\t", GridBox[{

            {

              \(\((x\[Cup]\[LeftAngleBracket]y\&_\[RightAngleBracket])\) = 

                \[LeftAngleBracket]x, y\&_\[RightAngleBracket]\), 

              "\"\<\[Cup]\>\""},

            {

              \(\((\[LeftAngleBracket]y\&_\[RightAngleBracket]\ \[Cap]\ x\ )

                  \) = \ \[LeftAngleBracket]\ y\&_, \ x

                  \[RightAngleBracket]\), "\"\<\[Cap]\>\""},

            {

              \(\((\[LeftAngleBracket]x\&_\[RightAngleBracket] \[CupCap] 

                    \[LeftAngleBracket]\ y\&_\[RightAngleBracket])\) = 

                \[LeftAngleBracket]\ x\&_, \ y\&_\[RightAngleBracket]\), 

              "\"\<\[CupCap]\>\""},

            {

              \(\[LeftAngleBracket]\ \[RightAngleBracket]\+_ = 

                \[LeftAngleBracket]\[RightAngleBracket]\), "\"\<rev.b\>\""},

            {

              \(\[LeftAngleBracket]x, y\&_\[RightAngleBracket]\+_ = 

                \[LeftAngleBracket]\ y\&_\[RightAngleBracket]\+_\[Cap]x\), 

              "\"\<rev.s\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{},

  CellTags->"reversion-of-concatenation"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<concatenation and append\>\"", ",", \(any[x, y, z, X, Y]\), ",", 

        "\n", "\t", GridBox[{

            {

              \(\((X \[CupCap] \[LeftAngleBracket]\[RightAngleBracket])\) = X

                \), "\"\<\[CupCap]\[LeftAngleBracket]\[RightAngleBracket]\>\"\

"},

            {

              \(\((\((X \[CupCap] Y)\)\[Cap]z)\) = 

                \((X \[CupCap] \((Y\[Cap]z)\))\)\), 

              "\"\<\[CupCap]\[Cap]\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<prerequisites for reversion of concatenation\>\"", ",", "\n", 

        "\t", GridBox[{

            {\(Definition["\<concatenation and reversion\>"]\)},

            {\(Proposition["\<concatenation and append\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Theorem",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<reversion of concatenation\>\"", ",", \(any[x\&_, y\&_]\), ",", 

        "\n", "\t  ", GridBox[{

            {

              \(\((\[LeftAngleBracket]x\&_\[RightAngleBracket] \[CupCap] 

                      \[LeftAngleBracket]y\&_\[RightAngleBracket])\)\+_ = 

                \((\ \ \[LeftAngleBracket]y\&_\[RightAngleBracket]\+_ 

                    \[CupCap] \[LeftAngleBracket]x\&_\[RightAngleBracket]\+_)

                  \)\), "\"\<_\[CupCap]\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Theorem["\<reversion of concatenation\>"], 

      KB \[Rule] Theory["\<prerequisites for reversion of concatenation\>"], 

      \n\tProver \[Rule] TupleEqIndProver, \n\t

      ProverOptions 

        \[Rule] {

          ConstOrder 

            \[Rule] {{\[Bullet][Tuple], \[Bullet][Cup], \[Bullet][Cap], 

                \[Bullet][CupCap], \n\t\t\t\t\tUnderBar}}, 

          TermOrder \[Rule] RPLexOrder}\), "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"reversion-of-reversion",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"reversion-of-reversion",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Reversion of Reversion", "Subsubsection"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<prepend to reverse\>\"", ",", \(any[x, Y]\), ",", "\n", "\t", 

        GridBox[{

            {\(\((x\[Cup]Y\+_)\) = \((Y\[Cap]x\ )\)\+_\), "\"\<\[Cup]_\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  CellTags->"reversion-of-reversion"],



Cell[BoxData[

    RowBox[{

      StyleBox["Theory",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<prerequisites for reverse of reverse\>\"", ",", "\n", "\t", 

        GridBox[{

            {\(Definition["\<concatenation and reversion\>"]\)},

            {\(Proposition["\<prepend to reverse\>"]\)}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Proposition",

        FontWeight->"Bold"], "[", 

      RowBox[{

      "\"\<reversion of reversion\>\"", ",", \(any[x\&_]\), ",", "\n", "\t", 

        GridBox[{

            {

              \(\(\[LeftAngleBracket]x\&_\[RightAngleBracket]\+_\)\+_ = 

                \[LeftAngleBracket]x\&_\[RightAngleBracket]\), "\"\<_r\>\""}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input"],



Cell[BoxData[

    RowBox[{

      StyleBox["Prove",

        FontWeight->"Bold"], "[", 

      \(Proposition["\<reversion of reversion\>"], 

      KB \[Rule] Theory["\<prerequisites for reverse of reverse\>"], \n\t

      Prover \[Rule] TupleEqIndProver, \n\t

      ProverOptions 

        \[Rule] {

          ConstOrder 

            \[Rule] {{\[Bullet][SuperPlus], \[Bullet][BracketingBar]}, {

                \[Bullet][Tuple], \[Bullet][Cup], \[Bullet][Cap], 

                \[Bullet][CupCap], \n\t\t\t\t\tUnderBar}}}\), "]"}]], "Input"],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"functors",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n\n\n",

  ButtonData:>"functors",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{



Cell["Functors", "Subsection"],



Cell[TextData[{

  "We found a way of ",

  StyleBox["implementing functors",

    FontColor->RGBColor[0, 0, 1]],

  " (in the sense of ML; but slightly more general) in ",

  StyleBox["Mathematica",

    FontSlant->"Italic"],

  " using higher order variables, Currying, and modules."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  FontSize->16,

  CellTags->"functors"],



Cell[TextData[{

  "With these functors, one can build up towers of domains and ",

  StyleBox["compute",

    FontColor->RGBColor[0, 0, 1]],

  " in these domains."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  FontSize->16],



Cell[TextData[{

  "However, functors also structure ",

  StyleBox["proving",

    FontColor->RGBColor[0, 0, 1]],

  "."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  FontSize->16],



Cell[TextData[{

  StyleBox["Example",

    FontWeight->"Bold"],

  ": If  D is a ring  and   N =  Poly[ D] then  N is a ring."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  FontSize->16],



Cell["We are developing tools that, given such a proposition, ", "Text",

  CellDingbat->"\[FilledSmallCircle]",

  FontSize->16],



Cell[TextData[{

  StyleBox["compose the knowledge base ",

    FontColor->RGBColor[0, 0, 1]],

  " (from the assumed properties and the definition of the functor) and the \

goal statement,"

}], "Text",

  CellDingbat->"\[EmptySmallCircle]",

  FontSize->16],



Cell[TextData[{

  "and ",

  StyleBox["compose the appropriate prover",

    FontColor->RGBColor[0, 0, 1]],

  ".  "

}], "Text",

  CellDingbat->"\[EmptySmallCircle]",

  FontSize->14],



Cell[TextData[ButtonBox["\[Rule]",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"],

ButtonBox["\n\n\n\n\n\n\n\n",

  ButtonData:>"contents",

  ButtonStyle->"Hyperlink"]], "Text"]

}, Open  ]],



Cell[CellGroupData[{



Cell["Conclusion", "Subsection"],



Cell[TextData[{

  StyleBox["Proving",

    FontColor->RGBColor[0, 0, 1]],

  " is at the heart of mathematics."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]",

  CellTags->"conclusion"],



Cell[TextData[{

  StyleBox["Mathematics",

    FontColor->RGBColor[0, 0, 1]],

  " is at the heart of ",

  StyleBox["science and technology",

    FontColor->RGBColor[0, 0, 1]],

  "."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  "A slight improvement in the quality of proving will have ",

  StyleBox["drastic effects in all areas ",

    FontColor->RGBColor[0, 0, 1]],

  "of science and technology."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[{

  "We think that theorem proving along the lines of ",

  StyleBox["Theorema",

    FontSlant->"Italic",

    FontColor->RGBColor[1, 0, 0]],

  " will be ",

  StyleBox["a practical tool within one generation ",

    FontColor->RGBColor[0, 0, 1]],

  "and will drastically ",

  StyleBox["improve the quality and efficiency",

    FontColor->RGBColor[0, 0, 1]],

  " ",

  StyleBox["of",

    FontColor->RGBColor[0, 0, 1]],

  " inventing, teaching, and applying ",

  StyleBox["mathematic",

    FontColor->RGBColor[0, 0, 1]],

  "s."

}], "Text",

  CellDingbat->"\[FilledSmallCircle]"],



Cell[TextData[ButtonBox["In other words, ",

  ButtonData:>"prediction",

  ButtonStyle->"Hyperlink"]], "Text"],



Cell[BoxData[

    \(\(\n\n\n\n\)\)], "Input"],



Cell[CellGroupData[{



Cell[TextData["Prediction for \[LessEqual] 2008"], "Subsubsection",

  CellTags->"prediction"],



Cell[BoxData[

    RowBox[{

      StyleBox["Definition",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<masses\>\"", ",", "\n", "\t", 

        RowBox[{

          StyleBox["masses",

            FontColor->RGBColor[0, 0, 1]], " ", "=", " ", 

          \(majority\ of\ Mathematica\ users\ working\ in\ math\ research\ and

            \ edu\)}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    RowBox[{

      StyleBox["Theorem",

        FontWeight->"Bold"], "[", 

      RowBox[{"\"\<predictions\>\"", ",", "\n", "\t", GridBox[{

            {

              RowBox[{

              "Stepen", " ", "will", " ", "use", " ", \((a\ system\ like)\), 

                " ", "Theorema", " ", "for", " ", "proving", " ", "theorems", 

                " ", "about", " ", "his", " ", 

                StyleBox["cellular",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                RowBox[{

                  StyleBox["automata",

                    FontColor->RGBColor[0, 0, 1]], "."}]}]},

            {

              RowBox[{"Theorema", " ", "will", " ", "be", 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["used",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["by",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["the",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["masses",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], "for", " ", "supporting", 

                " ", "proving", " ", "in", " ", "research", " ", "and", " ", 

                \(education . \)}]},

            {

              RowBox[{

              \(95\ %\ of\ the\ proofs\ in\ analysis\), ",", 

                \(linear\ algebra\), ",", " ", 

                RowBox[{"...", 

                  StyleBox[" ",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox["text",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox[" ",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox["books",

                    FontColor->RGBColor[0, 0, 1]], " ", "completely", " ", 

                  \(automatic . \)}]}]},

            {

              RowBox[{\(Except\ the\ 2\), "-", 

                RowBox[{"3", " ", "key", " ", 

                  RowBox[{"ideas", ":", " ", 

                    RowBox[{"Completely", " ", "automated", " ", 

                      StyleBox["proof",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox[" ",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox["of",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox[" ",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox["Groebner",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox[" ",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox["bases",

                        FontColor->RGBColor[0, 0, 1]], 

                      StyleBox[" ",

                        FontColor->RGBColor[0, 0, 1]], 

                      RowBox[{

                        StyleBox["theory",

                          FontColor->RGBColor[0, 0, 1]], "."}]}]}]}]}]},

            {

              RowBox[{"95", " ", "%", " ", "of", " ", "the", " ", 

                StyleBox["algorithms",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["in",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox[" ",

                  FontColor->RGBColor[0, 0, 1]], 

                StyleBox["Mathematica",

                  FontColor->RGBColor[0, 0, 1]], " ", "formally", " ", 

                "verified", " ", "by", " ", \(Theorema . \)}]},

            {

              RowBox[{

                RowBox[{

                  StyleBox["Stephen",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox[" ",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox[\(won'\),

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox["t",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox[" ",

                    FontColor->RGBColor[0, 0, 1]], 

                  StyleBox["invite",

                    FontColor->RGBColor[0, 0, 1]], " ", "me", " ", "any", 

                  " ", \(more . \)}], " "}]}

            },

          ColumnAlignments->{Left}]}], "]"}]], "Input",

  LimitsPositioningTokens->{}],



Cell[BoxData[

    StyleBox[\(Proofs : \),

      FontWeight->"Bold"]], "Input",

  LimitsPositioningTokens->{}],



Cell[TextData[{

  "(Sorry, if you ",

  StyleBox["try to give proofs ",

    FontColor->RGBColor[0, 0, 1]],

  "for this, you have not understood the notion of a proof.)"

}], "Text"]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}, Open  ]]

},

FrontEndVersion->"Microsoft Windows 3.0",

ScreenRectangle->{{0, 1024}, {0, 702}},

ScreenStyleEnvironment->"Presentation",

WindowToolbars->"EditBar",

WindowSize->{992, 592},

WindowMargins->{{2, Automatic}, {Automatic, 2}},

Magnification->1.5,

StyleDefinitions -> Notebook[{

  

  Cell[CellGroupData[{

  Cell["Style Definitions", "Subtitle"],

  

  Cell["\<\

Modify the definitions below to change the default appearance of all cells in \

a given style.  Make modifications to any definition using commands in the \

Format menu.\

\>", "Text"],

  

  Cell[CellGroupData[{

  

  Cell["Style Environment Names", "Section"],

  

  Cell[StyleData[All, "Working"],

    PageWidth->WindowWidth,

    ScriptMinSize->9],

  

  Cell[StyleData[All, "Presentation"],

    PageWidth->WindowWidth,

    ScriptMinSize->12,

    FontSize->16],

  

  Cell[StyleData[All, "Condensed"],

    PageWidth->WindowWidth,

    CellBracketOptions->{"Margins"->{1, 1},

    "Widths"->{0, 5}},

    ScriptMinSize->8,

    FontSize->11],

  

  Cell[StyleData[All, "Printout"],

    PageWidth->PaperWidth,

    ScriptMinSize->5,

    FontSize->10,

    PrivateFontOptions->{"FontType"->"Outline"}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Notebook Options", "Section"],

  

  Cell["\<\

The options defined for the style below will be used at the Notebook level.\

\>", "Text"],

  

  Cell[StyleData["Notebook"],

    PageHeaders->{{Cell[ 

            TextData[ {

              CounterBox[ "Page"]}], "PageNumber"], None, Cell[ 

            TextData[ {

              ValueBox[ "FileName"]}], "Header"]}, {Cell[ 

            TextData[ {

              ValueBox[ "FileName"]}], "Header"], None, Cell[ 

            TextData[ {

              CounterBox[ "Page"]}], "PageNumber"]}},

    CellFrameLabelMargins->6,

    LimitsPositioningTokens->{},

    StyleMenuListing->None]

  }, Open  ]],

  

  Cell[CellGroupData[{

  

  Cell["Styles for Headings", "Section"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Title"],

    CellMargins->{{12, Inherited}, {20, 40}},

    CellGroupingRules->{"TitleGrouping", 0},

    PageBreakBelow->False,

    CounterIncrements->"Title",

    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {

        "Subtitle", 0}, {"Subsubtitle", 0}},

    FontFamily->"Helvetica",

    FontSize->36,

    FontWeight->"Bold"],

  

  Cell[StyleData["Title", "Presentation"],

    CellMargins->{{24, 10}, {20, 40}},

    LineSpacing->{1, 0},

    FontSize->44],

  

  Cell[StyleData["Title", "Condensed"],

    CellMargins->{{8, 10}, {4, 8}},

    FontSize->20],

  

  Cell[StyleData["Title", "Printout"],

    CellMargins->{{2, 10}, {12, 30}},

    FontSize->24]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Subtitle"],

    CellMargins->{{12, Inherited}, {20, 15}},

    CellGroupingRules->{"TitleGrouping", 10},

    PageBreakBelow->False,

    CounterIncrements->"Subtitle",

    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}, {

        "Subsubtitle", 0}},

    FontFamily->"Helvetica",

    FontSize->24],

  

  Cell[StyleData["Subtitle", "Presentation"],

    CellMargins->{{24, 10}, {20, 20}},

    LineSpacing->{1, 0},

    FontSize->36],

  

  Cell[StyleData["Subtitle", "Condensed"],

    CellMargins->{{8, 10}, {4, 4}},

    FontSize->14],

  

  Cell[StyleData["Subtitle", "Printout"],

    CellMargins->{{2, 10}, {12, 8}},

    FontSize->18]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Subsubtitle"],

    CellMargins->{{12, Inherited}, {20, 15}},

    CellGroupingRules->{"TitleGrouping", 20},

    PageBreakBelow->False,

    CounterIncrements->"Subsubtitle",

    CounterAssignments->{{"Section", 0}, {"Equation", 0}, {"Figure", 0}},

    FontFamily->"Helvetica",

    FontSize->14,

    FontSlant->"Italic"],

  

  Cell[StyleData["Subsubtitle", "Presentation"],

    CellMargins->{{24, 10}, {20, 20}},

    LineSpacing->{1, 0},

    FontSize->24],

  

  Cell[StyleData["Subsubtitle", "Condensed"],

    CellMargins->{{8, 10}, {8, 8}},

    FontSize->12],

  

  Cell[StyleData["Subsubtitle", "Printout"],

    CellMargins->{{2, 10}, {12, 8}},

    FontSize->14]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Section"],

    CellDingbat->"\[FilledSquare]",

    CellMargins->{{25, Inherited}, {8, 24}},

    CellGroupingRules->{"SectionGrouping", 30},

    PageBreakBelow->False,

    CounterIncrements->"Section",

    CounterAssignments->{{"Subsection", 0}, {"Subsubsection", 0}},

    FontFamily->"Helvetica",

    FontSize->16,

    FontWeight->"Bold"],

  

  Cell[StyleData["Section", "Presentation"],

    CellMargins->{{40, 10}, {11, 32}},

    LineSpacing->{1, 0},

    FontSize->24],

  

  Cell[StyleData["Section", "Condensed"],

    CellMargins->{{18, Inherited}, {6, 12}},

    FontSize->12],

  

  Cell[StyleData["Section", "Printout"],

    CellMargins->{{13, 0}, {7, 22}},

    FontSize->14]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Subsection"],

    CellDingbat->"\[FilledSmallSquare]",

    CellMargins->{{22, Inherited}, {8, 20}},

    CellGroupingRules->{"SectionGrouping", 40},

    PageBreakBelow->False,

    CounterIncrements->"Subsection",

    CounterAssignments->{{"Subsubsection", 0}},

    FontSize->14,

    FontWeight->"Bold"],

  

  Cell[StyleData["Subsection", "Presentation"],

    CellMargins->{{36, 10}, {11, 32}},

    LineSpacing->{1, 0},

    FontSize->22],

  

  Cell[StyleData["Subsection", "Condensed"],

    CellMargins->{{16, Inherited}, {6, 12}},

    FontSize->12],

  

  Cell[StyleData["Subsection", "Printout"],

    CellMargins->{{9, 0}, {7, 22}},

    FontSize->12]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Subsubsection"],

    CellDingbat->"\[FilledSmallSquare]",

    CellMargins->{{22, Inherited}, {8, 18}},

    CellGroupingRules->{"SectionGrouping", 50},

    PageBreakBelow->False,

    CounterIncrements->"Subsubsection",

    FontWeight->"Bold"],

  

  Cell[StyleData["Subsubsection", "Presentation"],

    CellMargins->{{34, 10}, {11, 26}},

    LineSpacing->{1, 0},

    FontSize->18],

  

  Cell[StyleData["Subsubsection", "Condensed"],

    CellMargins->{{17, Inherited}, {6, 12}},

    FontSize->10],

  

  Cell[StyleData["Subsubsection", "Printout"],

    CellMargins->{{9, 0}, {7, 14}},

    FontSize->11]

  }, Closed]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Styles for Body Text", "Section"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Text"],

    CellMargins->{{12, 10}, {7, 7}},

    LineSpacing->{1, 3},

    CounterIncrements->"Text"],

  

  Cell[StyleData["Text", "Presentation"],

    CellMargins->{{24, 10}, {10, 10}},

    LineSpacing->{1, 5}],

  

  Cell[StyleData["Text", "Condensed"],

    CellMargins->{{8, 10}, {6, 6}},

    LineSpacing->{1, 1}],

  

  Cell[StyleData["Text", "Printout"],

    CellMargins->{{2, 2}, {6, 6}}]

  }, Open  ]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["SmallText"],

    CellMargins->{{12, 10}, {6, 6}},

    LineSpacing->{1, 3},

    CounterIncrements->"SmallText",

    FontFamily->"Helvetica",

    FontSize->9],

  

  Cell[StyleData["SmallText", "Presentation"],

    CellMargins->{{24, 10}, {8, 8}},

    LineSpacing->{1, 5},

    FontSize->12],

  

  Cell[StyleData["SmallText", "Condensed"],

    CellMargins->{{8, 10}, {5, 5}},

    LineSpacing->{1, 2},

    FontSize->9],

  

  Cell[StyleData["SmallText", "Printout"],

    CellMargins->{{2, 2}, {5, 5}},

    FontSize->7]

  }, Closed]]

  }, Open  ]],

  

  Cell[CellGroupData[{

  

  Cell["Styles for Input/Output", "Section"],

  

  Cell["\<\

The cells in this section define styles used for input and output to the \

kernel.  Be careful when modifying, renaming, or removing these styles, \

because the front end associates special meanings with these style names. \

Some attributes for these styles are actually set in FormatType Styles (in \

the last section of this stylesheet). \

\>", "Text"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Input"],

    CellMargins->{{45, 10}, {5, 7}},

    Evaluatable->True,

    CellGroupingRules->"InputGrouping",

    PageBreakWithin->False,

    GroupPageBreakWithin->False,

    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},

    DefaultFormatType->DefaultInputFormatType,

    AutoItalicWords->{},

    FormatType->InputForm,

    ShowStringCharacters->True,

    NumberMarks->True,

    CounterIncrements->"Input",

    FontFamily->"Times New Roman",

    FontWeight->"Plain",

    FontSlant->"Plain",

    FontTracking->"Plain",

    FontVariations->{"Underline"->False,

    "Outline"->False,

    "Shadow"->False}],

  

  Cell[StyleData["Input", "Presentation"],

    CellMargins->{{72, Inherited}, {8, 10}},

    LineSpacing->{1, 0}],

  

  Cell[StyleData["Input", "Condensed"],

    CellMargins->{{40, 10}, {2, 3}}],

  

  Cell[StyleData["Input", "Printout"],

    CellMargins->{{39, 0}, {4, 6}},

    FontSize->9]

  }, Closed]],

  

  Cell[StyleData["InputOnly"],

    Evaluatable->True,

    CellGroupingRules->"InputGrouping",

    DefaultFormatType->DefaultInputFormatType,

    AutoItalicWords->{},

    FormatType->InputForm,

    ShowStringCharacters->True,

    NumberMarks->True,

    CounterIncrements->"Input",

    StyleMenuListing->None,

    FontWeight->"Bold"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Output"],

    CellMargins->{{47, 10}, {7, 5}},

    CellEditDuplicate->True,

    CellGroupingRules->"OutputGrouping",

    CellHorizontalScrolling->True,

    PageBreakWithin->False,

    GroupPageBreakWithin->False,

    GeneratedCell->True,

    CellAutoOverwrite->True,

    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},

    DefaultFormatType->DefaultOutputFormatType,

    AutoItalicWords->{},

    FormatType->InputForm,

    CounterIncrements->"Output"],

  

  Cell[StyleData["Output", "Presentation"],

    CellMargins->{{72, Inherited}, {10, 8}},

    LineSpacing->{1, 0}],

  

  Cell[StyleData["Output", "Condensed"],

    CellMargins->{{41, Inherited}, {3, 2}}],

  

  Cell[StyleData["Output", "Printout"],

    CellMargins->{{39, 0}, {6, 4}},

    FontSize->9]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Message"],

    CellMargins->{{45, Inherited}, {Inherited, Inherited}},

    CellGroupingRules->"OutputGrouping",

    PageBreakWithin->False,

    GroupPageBreakWithin->False,

    GeneratedCell->True,

    CellAutoOverwrite->True,

    ShowCellLabel->False,

    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},

    DefaultFormatType->DefaultOutputFormatType,

    AutoItalicWords->{},

    FormatType->InputForm,

    CounterIncrements->"Message",

    StyleMenuListing->None,

    FontColor->RGBColor[0, 0, 1]],

  

  Cell[StyleData["Message", "Presentation"],

    CellMargins->{{72, Inherited}, {Inherited, Inherited}},

    LineSpacing->{1, 0}],

  

  Cell[StyleData["Message", "Condensed"],

    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],

  

  Cell[StyleData["Message", "Printout"],

    CellMargins->{{39, Inherited}, {Inherited, Inherited}},

    FontSize->8,

    FontColor->GrayLevel[0]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Print"],

    CellMargins->{{45, Inherited}, {Inherited, Inherited}},

    CellGroupingRules->"OutputGrouping",

    PageBreakWithin->False,

    GroupPageBreakWithin->False,

    GeneratedCell->True,

    CellAutoOverwrite->True,

    ShowCellLabel->False,

    CellLabelMargins->{{11, Inherited}, {Inherited, Inherited}},

    DefaultFormatType->DefaultOutputFormatType,

    AutoItalicWords->{},

    FormatType->InputForm,

    CounterIncrements->"Print",

    StyleMenuListing->None],

  

  Cell[StyleData["Print", "Presentation"],

    CellMargins->{{72, Inherited}, {Inherited, Inherited}},

    LineSpacing->{1, 0}],

  

  Cell[StyleData["Print", "Condensed"],

    CellMargins->{{41, Inherited}, {Inherited, Inherited}}],

  

  Cell[StyleData["Print", "Printout"],

    CellMargins->{{39, Inherited}, {Inherited, Inherited}},

    FontSize->8]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Graphics"],

    CellMargins->{{4, Inherited}, {Inherited, Inherited}},

    CellGroupingRules->"GraphicsGrouping",

    CellHorizontalScrolling->True,

    PageBreakWithin->False,

    GeneratedCell->True,

    CellAutoOverwrite->True,

    ShowCellLabel->False,

    DefaultFormatType->DefaultOutputFormatType,

    FormatType->InputForm,

    CounterIncrements->"Graphics",

    ImageMargins->{{43, Inherited}, {Inherited, 0}},

    StyleMenuListing->None],

  

  Cell[StyleData["Graphics", "Presentation"],

    ImageMargins->{{62, Inherited}, {Inherited, 0}}],

  

  Cell[StyleData["Graphics", "Condensed"],

    ImageMargins->{{38, Inherited}, {Inherited, 0}},

    Magnification->0.6],

  

  Cell[StyleData["Graphics", "Printout"],

    ImageMargins->{{30, Inherited}, {Inherited, 0}},

    FontSize->9,

    Magnification->0.8]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["CellLabel"],

    StyleMenuListing->None,

    FontFamily->"Helvetica",

    FontSize->9,

    FontColor->RGBColor[0, 0, 1]],

  

  Cell[StyleData["CellLabel", "Presentation"],

    FontSize->12],

  

  Cell[StyleData["CellLabel", "Condensed"],

    FontSize->9],

  

  Cell[StyleData["CellLabel", "Printout"],

    FontFamily->"Courier",

    FontSize->8,

    FontSlant->"Italic",

    FontColor->GrayLevel[0]]

  }, Closed]]

  }, Open  ]],

  

  Cell[CellGroupData[{

  

  Cell["Formulas and Programming", "Section"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["InlineFormula"],

    CellMargins->{{10, 4}, {0, 8}},

    CellHorizontalScrolling->True,

    ScriptLevel->1,

    SingleLetterItalics->True],

  

  Cell[StyleData["InlineFormula", "Presentation"],

    CellMargins->{{24, 10}, {10, 10}},

    LineSpacing->{1, 5}],

  

  Cell[StyleData["InlineFormula", "Condensed"],

    CellMargins->{{8, 10}, {6, 6}},

    LineSpacing->{1, 1}],

  

  Cell[StyleData["InlineFormula", "Printout"],

    CellMargins->{{2, 0}, {6, 6}}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["DisplayFormula"],

    CellMargins->{{42, Inherited}, {Inherited, Inherited}},

    CellHorizontalScrolling->True,

    DefaultFormatType->DefaultInputFormatType,

    ScriptLevel->0,

    SingleLetterItalics->True,

    UnderoverscriptBoxOptions->{LimitsPositioning->True}],

  

  Cell[StyleData["DisplayFormula", "Presentation"],

    LineSpacing->{1, 5}],

  

  Cell[StyleData["DisplayFormula", "Condensed"],

    LineSpacing->{1, 1}],

  

  Cell[StyleData["DisplayFormula", "Printout"]]

  }, Closed]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Styles for Headers and Footers", "Section"],

  

  Cell[StyleData["Header"],

    CellMargins->{{0, 0}, {4, 1}},

    StyleMenuListing->None,

    FontSize->10,

    FontSlant->"Italic"],

  

  Cell[StyleData["Footer"],

    CellMargins->{{0, 0}, {0, 4}},

    StyleMenuListing->None,

    FontSize->9,

    FontSlant->"Italic"],

  

  Cell[StyleData["PageNumber"],

    CellMargins->{{0, 0}, {4, 1}},

    StyleMenuListing->None,

    FontFamily->"Times",

    FontSize->10]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Palette Styles", "Section"],

  

  Cell["\<\

The cells below define styles that define standard ButtonFunctions, for use \

in palette buttons.\

\>", "Text"],

  

  Cell[StyleData["Paste"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`NotebookApply[ 

          FrontEnd`InputNotebook[ ], #, After]}]&)}],

  

  Cell[StyleData["Evaluate"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`NotebookApply[ 

          FrontEnd`InputNotebook[ ], #, All], 

        SelectionEvaluate[ 

          FrontEnd`InputNotebook[ ], All]}]&)}],

  

  Cell[StyleData["EvaluateCell"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`NotebookApply[ 

          FrontEnd`InputNotebook[ ], #, All], 

        FrontEnd`SelectionMove[ 

          FrontEnd`InputNotebook[ ], All, Cell, 1], 

        FrontEnd`SelectionEvaluateCreateCell[ 

          FrontEnd`InputNotebook[ ], All]}]&)}],

  

  Cell[StyleData["CopyEvaluate"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`SelectionCreateCell[ 

          FrontEnd`InputNotebook[ ], All], 

        FrontEnd`NotebookApply[ 

          FrontEnd`InputNotebook[ ], #, All], 

        FrontEnd`SelectionEvaluate[ 

          FrontEnd`InputNotebook[ ], All]}]&)}],

  

  Cell[StyleData["CopyEvaluateCell"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`SelectionCreateCell[ 

          FrontEnd`InputNotebook[ ], All], 

        FrontEnd`NotebookApply[ 

          FrontEnd`InputNotebook[ ], #, All], 

        FrontEnd`SelectionEvaluateCreateCell[ 

          FrontEnd`InputNotebook[ ], All]}]&)}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Hyperlink Styles", "Section"],

  

  Cell["\<\

The cells below define styles useful for making hypertext ButtonBoxes.  The \

\"Hyperlink\" style is for links within the same Notebook, or between \

Notebooks.\

\>", "Text"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Hyperlink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`NotebookLocate[ #2]}]&),

    Active->True,

    ButtonNote->ButtonData}],

  

  Cell[StyleData["Hyperlink", "Presentation"]],

  

  Cell[StyleData["Hyperlink", "Condensed"]],

  

  Cell[StyleData["Hyperlink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]],

  

  Cell["\<\

The following styles are for linking automatically to the on-line help \

system.\

\>", "Text"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["MainBookLink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`HelpBrowserLookup[ "MainBook", #]}]&),

    Active->True,

    ButtonFrame->"None"}],

  

  Cell[StyleData["MainBookLink", "Presentation"]],

  

  Cell[StyleData["MainBookLink", "Condensed"]],

  

  Cell[StyleData["MainBookLink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["AddOnsLink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontFamily->"Courier",

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`HelpBrowserLookup[ "AddOns", #]}]&),

    Active->True,

    ButtonFrame->"None"}],

  

  Cell[StyleData["AddOnsLink", "Presentation"]],

  

  Cell[StyleData["AddOnsLink", "Condensed"]],

  

  Cell[StyleData["AddOnLink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["RefGuideLink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontFamily->"Courier",

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`HelpBrowserLookup[ "RefGuideLink", #]}]&),

    Active->True,

    ButtonFrame->"None"}],

  

  Cell[StyleData["RefGuideLink", "Presentation"]],

  

  Cell[StyleData["RefGuideLink", "Condensed"]],

  

  Cell[StyleData["RefGuideLink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["GettingStartedLink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`HelpBrowserLookup[ "GettingStarted", #]}]&),

    Active->True,

    ButtonFrame->"None"}],

  

  Cell[StyleData["GettingStartedLink", "Presentation"]],

  

  Cell[StyleData["GettingStartedLink", "Condensed"]],

  

  Cell[StyleData["GettingStartedLink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["OtherInformationLink"],

    StyleMenuListing->None,

    ButtonStyleMenuListing->Automatic,

    FontColor->RGBColor[0, 0, 1],

    FontVariations->{"Underline"->True},

    ButtonBoxOptions->{ButtonFunction:>(FrontEndExecute[ {

        FrontEnd`HelpBrowserLookup[ "OtherInformation", #]}]&),

    Active->True,

    ButtonFrame->"None"}],

  

  Cell[StyleData["OtherInformationLink", "Presentation"]],

  

  Cell[StyleData["OtherInformationLink", "Condensed"]],

  

  Cell[StyleData["OtherInformationLink", "Printout"],

    FontColor->GrayLevel[0],

    FontVariations->{"Underline"->False}]

  }, Closed]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["Placeholder Styles", "Section"],

  

  Cell["\<\

The cells below define styles useful for making placeholder objects in \

palette templates.\

\>", "Text"],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["Placeholder"],

    Editable->False,

    Selectable->False,

    StyleBoxAutoDelete->True,

    Placeholder->True,

    StyleMenuListing->None],

  

  Cell[StyleData["Placeholder", "Presentation"]],

  

  Cell[StyleData["Placeholder", "Condensed"]],

  

  Cell[StyleData["Placeholder", "Printout"]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell[StyleData["SelectionPlaceholder"],

    Editable->False,

    Selectable->False,

    StyleBoxAutoDelete->True,

    Placeholder->Primary,

    StyleMenuListing->None,

    DrawHighlighted->True],

  

  Cell[StyleData["SelectionPlaceholder", "Presentation"]],

  

  Cell[StyleData["SelectionPlaceholder", "Condensed"]],

  

  Cell[StyleData["SelectionPlaceholder", "Printout"]]

  }, Closed]]

  }, Closed]],

  

  Cell[CellGroupData[{

  

  Cell["FormatType Styles", "Section"],

  

  Cell["\<\

The cells below define styles that are mixed in with the styles of most \

cells.  If a cell's FormatType matches the name of one of the styles defined \

below, then that style is applied between the cell's style and its own \

options. This is particularly true of Input and Output.\

\>", "Text"],

  

  Cell[StyleData["CellExpression"],

    PageWidth->Infinity,

    CellMargins->{{6, Inherited}, {Inherited, Inherited}},

    ShowCellLabel->False,

    ShowSpecialCharacters->False,

    AllowInlineCells->False,

    AutoItalicWords->{},

    StyleMenuListing->None,

    FontFamily->"Courier",

    FontSize->12,

    Background->GrayLevel[1]],

  

  Cell[StyleData["InputForm"],

    AllowInlineCells->False,

    StyleMenuListing->None,

    FontFamily->"Courier"],

  

  Cell[StyleData["OutputForm"],

    PageWidth->Infinity,

    TextAlignment->Left,

    LineSpacing->{0.6, 1},

    StyleMenuListing->None,

    FontFamily->"Courier"],

  

  Cell[StyleData["StandardForm"],

    LineSpacing->{1.25, 0},

    StyleMenuListing->None],

  

  Cell[StyleData["TraditionalForm"],

    LineSpacing->{1.25, 0},

    SingleLetterItalics->True,

    TraditionalFunctionNotation->True,

    DelimiterMatching->None,

    StyleMenuListing->None],

  

  Cell["\<\

The style defined below is mixed in to any cell that is in an inline cell \

within another.\

\>", "Text"],

  

  Cell[StyleData["InlineCell"],

    TextAlignment->Left,

    ScriptLevel->1,

    StyleMenuListing->None],

  

  Cell[StyleData["InlineCellEditing"],

    StyleMenuListing->None,

    Background->RGBColor[1, 0.749996, 0.8]]

  }, Open  ]]

  }, Open  ]]

  }]

]





(***********************************************************************

Cached data follows.  If you edit this Notebook file directly, not using

Mathematica, you must remove the line containing CacheID at the top of 

the file.  The cache data will then be recreated when you save this file 

from within Mathematica.

***********************************************************************)



(*CellTagsOutline

CellTagsIndex->{

  "title"->{

    Cell[1731, 51, 316, 11, 245, "Subtitle",

      CellTags->"title"]},

  "contents"->{

    Cell[2734, 95, 2776, 68, 634, "Subsection",

      CellTags->"contents"]},

  "mathematics-def"->{

    Cell[5602, 171, 72, 1, 86, "Subsubsection",

      CellTags->"mathematics-def"]},

  "knowledge-acquisition"->{

    Cell[6329, 199, 210, 6, 65, "Text",

      CellTags->"knowledge-acquisition"]},

  "GB"->{

    Cell[7337, 246, 283, 9, 100, "Text",

      CellTags->"GB"]},

  "creativity-spiral"->{

    Cell[8085, 274, 137, 3, 65, "Text",

      CellTags->"creativity-spiral"]},

  "present-systems"->{

    Cell[62792, 1288, 162, 6, 86, "Subsubsection",

      CellTags->"present-systems"]},

  "present-theorem-proving-systems"->{

    Cell[64425, 1349, 160, 5, 65, "Text",

      CellTags->"present-theorem-proving-systems"]},

  "theorema-fills-gap"->{

    Cell[65153, 1381, 284, 11, 100, "Text",

      CellTags->"theorema-fills-gap"]},

  "theorema-distinctive-features"->{

    Cell[66023, 1417, 272, 10, 65, "Text",

      CellTags->"theorema-distinctive-features"]},

  "role-of-mathematica"->{

    Cell[68033, 1502, 380, 12, 100, "Text",

      CellTags->"role-of-mathematica"]},

  "computing-session"->{

    Cell[69898, 1579, 133, 3, 89, "Subsubsection",

      CellTags->"computing-session"]},

  "bounded-quantifiers"->{

    Cell[70942, 1624, 130, 3, 73, "Input",

      CellTags->"bounded-quantifiers"]},

  "defined-functions"->{

    Cell[71625, 1655, 105, 2, 91, "Input",

      CellTags->"defined-functions"]},

  "numbers"->{

    Cell[73162, 1742, 61, 2, 57, "Input",

      CellTags->"numbers"]},

  "tuples"->{

    Cell[75133, 1856, 112, 2, 57, "Input",

      CellTags->"tuples"]},

  "sets"->{

    Cell[79343, 2023, 102, 2, 83, "Input",

      CellTags->"sets"]},

  "computing-in-proving-sessions"->{

    Cell[84169, 2278, 409, 9, 129, "Input",

      CellTags->"computing-in-proving-sessions"]},

  "proving-in-proving-sessions"->{

    Cell[85921, 2346, 369, 10, 91, "Input",

      CellTags->"proving-in-proving-sessions"]},

  "propositional-proving"->{

    Cell[88430, 2439, 538, 13, 91, "Input",

      CellTags->"propositional-proving"]},

  "quantifier-distributivity"->{

    Cell[90097, 2492, 91, 1, 86, "Subsubsection",

      CellTags->"quantifier-distributivity"]},

  "limit-of-sum"->{

    Cell[91355, 2534, 191, 4, 100, "Text",

      CellTags->"limit-of-sum"]},

  "definition-of-+-and-\[RawStar]"->{

    Cell[100716, 2803, 428, 11, 139, "Input",

      CellTags->"definition-of-+-and-\[RawStar]"]},

  "properties-of-+-and-\[RawStar]"->{

    Cell[101862, 2841, 446, 12, 139, "Input",

      CellTags->"properties-of-+-and-\[RawStar]"]},

  "power"->{

    Cell[107780, 3021, 409, 10, 139, "Input",

      CellTags->"power"]},

  "length-of-concatenation"->{

    Cell[109877, 3084, 1160, 24, 175, "Input",

      CellTags->"length-of-concatenation"]},

  "reversion-of-concatenation"->{

    Cell[113074, 3170, 1372, 30, 256, "Input",

      CellTags->"reversion-of-concatenation"]},

  "reversion-of-reversion"->{

    Cell[116997, 3276, 384, 10, 91, "Input",

      CellTags->"reversion-of-reversion"]},

  "functors"->{

    Cell[119017, 3340, 369, 11, 100, "Text",

      CellTags->"functors"]},

  "conclusion"->{

    Cell[120824, 3413, 186, 6, 65, "Text",

      CellTags->"conclusion"]},

  "prediction"->{

    Cell[122260, 3469, 93, 1, 86, "Subsubsection",

      CellTags->"prediction"]}

  }

*)



(*CellTagsIndex

CellTagsIndex->{

  {"title", 151800, 4473},

  {"contents", 151888, 4476},

  {"mathematics-def", 151989, 4479},

  {"knowledge-acquisition", 152103, 4482},

  {"GB", 152196, 4485},

  {"creativity-spiral", 152286, 4488},

  {"present-systems", 152388, 4491},

  {"present-theorem-proving-systems", 152515, 4494},

  {"theorema-fills-gap", 152636, 4497},

  {"theorema-distinctive-features", 152757, 4500},

  {"role-of-mathematica", 152878, 4503},

  {"computing-session", 152988, 4506},

  {"bounded-quantifiers", 153105, 4509},

  {"defined-functions", 153214, 4512},

  {"numbers", 153311, 4515},

  {"tuples", 153396, 4518},

  {"sets", 153479, 4521},

  {"computing-in-proving-sessions", 153585, 4524},

  {"proving-in-proving-sessions", 153715, 4527},

  {"propositional-proving", 153837, 4530},

  {"quantifier-distributivity", 153957, 4533},

  {"limit-of-sum", 154074, 4536},

  {"definition-of-+-and-\[RawStar]", 154189, 4539},

  {"properties-of-+-and-\[RawStar]", 154325, 4542},

  {"power", 154436, 4545},

  {"length-of-concatenation", 154540, 4548},

  {"reversion-of-concatenation", 154666, 4551},

  {"reversion-of-reversion", 154791, 4554},

  {"functors", 154896, 4557},

  {"conclusion", 154989, 4560},

  {"prediction", 155082, 4563}

  }

*)



(*NotebookFileOutline

Notebook[{



Cell[CellGroupData[{

Cell[1731, 51, 316, 11, 245, "Subtitle",

  CellTags->"title"],

Cell[2050, 64, 179, 7, 142, "Subsubtitle"],

Cell[2232, 73, 327, 10, 170, "Text"],

Cell[2562, 85, 47, 1, 227, "Input"],



Cell[CellGroupData[{

Cell[2634, 90, 97, 3, 151, "Section"],

Cell[2734, 95, 2776, 68, 634, "Subsection",

  CellTags->"contents"],



Cell[CellGroupData[{

Cell[5535, 167, 42, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[5602, 171, 72, 1, 86, "Subsubsection",

  CellTags->"mathematics-def"],

Cell[5677, 174, 334, 11, 152, "Text"],

Cell[6014, 187, 209, 5, 345, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[6260, 197, 66, 0, 86, "Subsubsection"],

Cell[6329, 199, 210, 6, 65, "Text",

  CellTags->"knowledge-acquisition"],

Cell[6542, 207, 81, 4, 65, "Text"],

Cell[6626, 213, 108, 4, 65, "Text"],

Cell[6737, 219, 149, 2, 69, "Input"],

Cell[6889, 223, 225, 8, 65, "Text"],

Cell[7117, 233, 85, 2, 65, "Text"],

Cell[7205, 237, 45, 1, 193, "Input"],

Cell[7253, 240, 81, 4, 65, "Text"],

Cell[7337, 246, 283, 9, 100, "Text",

  CellTags->"GB"],

Cell[7623, 257, 207, 3, 110, "Input"],

Cell[7833, 262, 107, 2, 65, "Text"],

Cell[7943, 266, 47, 1, 227, "Input"]

}, Open  ]],



Cell[CellGroupData[{

Cell[8027, 272, 55, 0, 86, "Subsubsection"],

Cell[8085, 274, 137, 3, 65, "Text",

  CellTags->"creativity-spiral"],

Cell[8225, 279, 54248, 992, 304, 11268, 457, "GraphicsData", 

"PostScript", "Graphics"],

Cell[62476, 1273, 177, 5, 240, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[62702, 1284, 65, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[62792, 1288, 162, 6, 86, "Subsubsection",

  CellTags->"present-systems"],

Cell[62957, 1296, 158, 5, 65, "Text"],

Cell[63118, 1303, 806, 24, 60, "Text"],

Cell[63927, 1329, 232, 6, 100, "Text"],

Cell[64162, 1337, 157, 5, 415, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[64356, 1347, 66, 0, 86, "Subsubsection"],

Cell[64425, 1349, 160, 5, 65, "Text",

  CellTags->"present-theorem-proving-systems"],

Cell[64588, 1356, 113, 4, 65, "Text"],

Cell[64704, 1362, 168, 5, 65, "Text"],

Cell[64875, 1369, 205, 5, 380, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[65117, 1379, 33, 0, 86, "Subsubsection"],

Cell[65153, 1381, 284, 11, 100, "Text",

  CellTags->"theorema-fills-gap"],

Cell[65440, 1394, 252, 9, 65, "Text"],

Cell[65695, 1405, 231, 5, 450, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[65963, 1415, 57, 0, 86, "Subsubsection"],

Cell[66023, 1417, 272, 10, 65, "Text",

  CellTags->"theorema-distinctive-features"],

Cell[66298, 1429, 152, 5, 65, "Text"],

Cell[66453, 1436, 159, 5, 65, "Text"],

Cell[66615, 1443, 132, 2, 65, "Text"],

Cell[66750, 1447, 177, 6, 65, "Text"],

Cell[66930, 1455, 327, 11, 100, "Text"],

Cell[67260, 1468, 121, 2, 65, "Text"],

Cell[67384, 1472, 236, 8, 65, "Text"],

Cell[67623, 1482, 199, 5, 240, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[67859, 1492, 171, 8, 86, "Subsubsection"],

Cell[68033, 1502, 380, 12, 100, "Text",

  CellTags->"role-of-mathematica"],

Cell[68416, 1516, 80, 4, 65, "Text"],

Cell[68499, 1522, 271, 6, 74, "Input"],

Cell[68773, 1530, 137, 2, 65, "Text"],

Cell[68913, 1534, 232, 8, 65, "Text"],

Cell[69148, 1544, 221, 8, 65, "Text"],

Cell[69372, 1554, 225, 8, 65, "Text"],

Cell[69600, 1564, 175, 5, 205, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[69824, 1575, 49, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[69898, 1579, 133, 3, 89, "Subsubsection",

  CellTags->"computing-session"],

Cell[70034, 1584, 260, 9, 89, "Text"],

Cell[70297, 1595, 208, 7, 89, "Text"],

Cell[70508, 1604, 53, 1, 57, "Input"],

Cell[70564, 1607, 51, 1, 57, "Input"],

Cell[70618, 1610, 203, 5, 310, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[70858, 1620, 59, 0, 86, "Subsubsection"],



Cell[CellGroupData[{

Cell[70942, 1624, 130, 3, 73, "Input",

  CellTags->"bounded-quantifiers"],

Cell[71075, 1629, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[71151, 1635, 93, 1, 73, "Input"],

Cell[71247, 1638, 38, 1, 57, "Output"]

}, Open  ]],

Cell[71300, 1642, 199, 5, 310, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[71536, 1652, 86, 1, 89, "Subsubsection"],

Cell[71625, 1655, 105, 2, 91, "Input",

  CellTags->"defined-functions"],



Cell[CellGroupData[{

Cell[71755, 1661, 37, 1, 57, "Input"],

Cell[71795, 1664, 35, 1, 57, "Output"]

}, Open  ]],

Cell[71845, 1668, 200, 5, 122, "Input"],



Cell[CellGroupData[{

Cell[72070, 1677, 39, 1, 57, "Input"],

Cell[72112, 1680, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[72184, 1686, 39, 1, 57, "Input"],

Cell[72226, 1689, 37, 1, 57, "Output"]

}, Open  ]],

Cell[72278, 1693, 241, 6, 160, "Input"],



Cell[CellGroupData[{

Cell[72544, 1703, 37, 1, 57, "Input"],

Cell[72584, 1706, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[72656, 1712, 37, 1, 57, "Input"],

Cell[72696, 1715, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[72768, 1721, 42, 1, 57, "Input"],

Cell[72813, 1724, 40, 1, 57, "Output"]

}, Open  ]],

Cell[72868, 1728, 185, 5, 415, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73090, 1738, 47, 0, 86, "Subsubsection"],



Cell[CellGroupData[{

Cell[73162, 1742, 61, 2, 57, "Input",

  CellTags->"numbers"],

Cell[73226, 1746, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73298, 1752, 49, 1, 57, "Input"],

Cell[73350, 1755, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73426, 1761, 67, 1, 89, "Input"],

Cell[73496, 1764, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73568, 1770, 111, 2, 110, "Input"],

Cell[73682, 1774, 37, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73756, 1780, 97, 2, 74, "Input"],

Cell[73856, 1784, 36, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[73929, 1790, 51, 1, 57, "Input"],

Cell[73983, 1793, 38, 1, 57, "Output"]

}, Open  ]],

Cell[74036, 1797, 259, 5, 114, "Input"],



Cell[CellGroupData[{

Cell[74320, 1806, 50, 1, 57, "Input"],

Cell[74373, 1809, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[74448, 1815, 50, 1, 57, "Input"],

Cell[74501, 1818, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[74577, 1824, 91, 1, 73, "Input"],

Cell[74671, 1827, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[74743, 1833, 98, 2, 78, "Input"],

Cell[74844, 1837, 36, 1, 57, "Output"]

}, Open  ]],

Cell[74895, 1841, 130, 6, 275, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[75062, 1852, 46, 0, 86, "Subsubsection"],



Cell[CellGroupData[{

Cell[75133, 1856, 112, 2, 57, "Input",

  CellTags->"tuples"],

Cell[75248, 1860, 87, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[75372, 1866, 150, 2, 57, "Input"],

Cell[75525, 1870, 99, 2, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[75661, 1877, 88, 1, 57, "Input"],

Cell[75752, 1880, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[75824, 1886, 113, 2, 77, "Input"],

Cell[75940, 1890, 109, 2, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[76086, 1897, 131, 3, 77, "Input"],

Cell[76220, 1902, 143, 2, 57, "Output"]

}, Open  ]],

Cell[76378, 1907, 615, 14, 176, "Input"],



Cell[CellGroupData[{

Cell[77018, 1925, 156, 3, 57, "Input"],

Cell[77177, 1930, 80, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[77294, 1936, 150, 2, 57, "Input"],

Cell[77447, 1940, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[77522, 1946, 150, 2, 57, "Input"],

Cell[77675, 1950, 39, 1, 57, "Output"]

}, Open  ]],

Cell[77729, 1954, 616, 15, 162, "Input"],



Cell[CellGroupData[{

Cell[78370, 1973, 89, 1, 57, "Input"],

Cell[78462, 1976, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[78537, 1982, 90, 1, 57, "Input"],

Cell[78630, 1985, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[78705, 1991, 109, 2, 57, "Input"],

Cell[78817, 1995, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[78892, 2001, 109, 2, 57, "Input"],

Cell[79004, 2005, 39, 1, 57, "Output"]

}, Open  ]],

Cell[79058, 2009, 179, 5, 415, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[79274, 2019, 44, 0, 86, "Subsubsection"],



Cell[CellGroupData[{

Cell[79343, 2023, 102, 2, 83, "Input",

  CellTags->"sets"],

Cell[79448, 2027, 43, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[79528, 2033, 84, 1, 82, "Input"],

Cell[79615, 2036, 65, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[79717, 2042, 66, 1, 57, "Input"],

Cell[79786, 2045, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[79861, 2051, 48, 1, 57, "Input"],

Cell[79912, 2054, 43, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[79992, 2060, 48, 1, 57, "Input"],

Cell[80043, 2063, 43, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[80123, 2069, 60, 1, 57, "Input"],

Cell[80186, 2072, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[80262, 2078, 58, 1, 57, "Input"],

Cell[80323, 2081, 38, 1, 57, "Output"]

}, Open  ]],

Cell[80376, 2085, 378, 9, 167, "Input"],



Cell[CellGroupData[{

Cell[80779, 2098, 65, 1, 57, "Input"],

Cell[80847, 2101, 40, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[80924, 2107, 49, 1, 57, "Input"],

Cell[80976, 2110, 50, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81063, 2116, 48, 1, 57, "Input"],

Cell[81114, 2119, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81190, 2125, 73, 1, 57, "Input"],

Cell[81266, 2128, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81341, 2134, 56, 1, 57, "Input"],

Cell[81400, 2137, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81475, 2143, 58, 1, 57, "Input"],

Cell[81536, 2146, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81612, 2152, 93, 1, 57, "Input"],

Cell[81708, 2155, 39, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81784, 2161, 98, 2, 57, "Input"],

Cell[81885, 2165, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[81960, 2171, 129, 2, 57, "Input"],

Cell[82092, 2175, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[82164, 2181, 83, 1, 57, "Input"],

Cell[82250, 2184, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[82322, 2190, 80, 1, 57, "Input"],

Cell[82405, 2193, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[82477, 2199, 43, 1, 57, "Input"],

Cell[82523, 2202, 35, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[82595, 2208, 63, 1, 57, "Input"],

Cell[82661, 2211, 35, 1, 57, "Output"]

}, Open  ]],

Cell[82711, 2215, 484, 10, 209, "Input"],



Cell[CellGroupData[{

Cell[83220, 2229, 54, 1, 57, "Input"],

Cell[83277, 2232, 38, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[83352, 2238, 55, 1, 57, "Input"],

Cell[83410, 2241, 43, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[83490, 2247, 58, 1, 57, "Input"],

Cell[83551, 2250, 56, 1, 57, "Output"]

}, Open  ]],



Cell[CellGroupData[{

Cell[83644, 2256, 64, 1, 57, "Input"],

Cell[83711, 2259, 176, 3, 91, "Output"]

}, Open  ]],

Cell[83902, 2265, 54, 1, 57, "Input"],

Cell[83959, 2268, 98, 2, 65, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[84106, 2276, 60, 0, 101, "Subsection"],

Cell[84169, 2278, 409, 9, 129, "Input",

  CellTags->"computing-in-proving-sessions"],



Cell[CellGroupData[{

Cell[84603, 2291, 52, 1, 57, "Input"],

Cell[84658, 2294, 56, 1, 42, "Print"]

}, Open  ]],



Cell[CellGroupData[{

Cell[84751, 2300, 101, 2, 57, "Input"],

Cell[84855, 2304, 38, 1, 57, "Output"]

}, Open  ]],

Cell[84908, 2308, 49, 1, 57, "Input"],

Cell[84960, 2311, 408, 10, 139, "Input"],



Cell[CellGroupData[{

Cell[85393, 2325, 134, 2, 57, "Input"],

Cell[85530, 2329, 97, 2, 57, "Output"]

}, Open  ]],

Cell[85642, 2334, 181, 5, 310, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[85860, 2344, 58, 0, 101, "Subsection"],

Cell[85921, 2346, 369, 10, 91, "Input",

  CellTags->"proving-in-proving-sessions"],

Cell[86293, 2358, 236, 5, 125, "Input"],

Cell[86532, 2365, 316, 8, 137, "Input"],

Cell[86851, 2375, 58, 1, 57, "Input"],

Cell[86912, 2378, 103, 2, 57, "Input"],

Cell[87018, 2382, 138, 3, 65, "Text"],

Cell[87159, 2387, 138, 3, 65, "Text"],

Cell[87300, 2392, 139, 3, 65, "Text"],

Cell[87442, 2397, 55, 1, 57, "Output"],

Cell[87500, 2400, 99, 2, 57, "Input"],

Cell[87602, 2404, 144, 3, 65, "Text"],

Cell[87749, 2409, 55, 1, 57, "Output"],

Cell[87807, 2412, 57, 1, 57, "Input"],

Cell[87867, 2415, 87, 2, 65, "Text"],

Cell[87957, 2419, 186, 6, 89, "Text"],

Cell[88146, 2427, 183, 5, 345, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[88366, 2437, 61, 0, 101, "Subsection"],

Cell[88430, 2439, 538, 13, 91, "Input",

  CellTags->"propositional-proving"],

Cell[88971, 2454, 195, 4, 57, "Input"],

Cell[89169, 2460, 419, 10, 91, "Input"],

Cell[89591, 2472, 193, 4, 57, "Input"],

Cell[89787, 2478, 185, 5, 380, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[90009, 2488, 63, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[90097, 2492, 91, 1, 86, "Subsubsection",

  CellTags->"quantifier-distributivity"],

Cell[90191, 2495, 74, 1, 57, "Input"],

Cell[90268, 2498, 514, 12, 114, "Input"],

Cell[90785, 2512, 216, 5, 91, "Input"],

Cell[91004, 2519, 191, 5, 345, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[91232, 2529, 43, 0, 86, "Subsubsection"],

Cell[91278, 2531, 74, 1, 57, "Input"],

Cell[91355, 2534, 191, 4, 100, "Text",

  CellTags->"limit-of-sum"],



Cell[CellGroupData[{

Cell[91571, 2542, 445, 11, 108, "Input"],

Cell[92019, 2555, 177, 3, 76, "Message"]

}, Open  ]],

Cell[92211, 2561, 463, 11, 108, "Input"],

Cell[92677, 2574, 610, 13, 108, "Input"],

Cell[93290, 2589, 36, 0, 65, "Text"],

Cell[93329, 2591, 398, 11, 91, "Input"],

Cell[93730, 2604, 756, 16, 91, "Input"],



Cell[CellGroupData[{

Cell[94511, 2624, 463, 12, 91, "Input"],

Cell[94977, 2638, 173, 3, 76, "Message"]

}, Open  ]],

Cell[95165, 2644, 450, 11, 211, "Input"],

Cell[95618, 2657, 44, 0, 65, "Text"],

Cell[95665, 2659, 453, 11, 164, "Input"],

Cell[96121, 2672, 166, 3, 100, "Text"],

Cell[96290, 2677, 584, 12, 164, "Input"],



Cell[CellGroupData[{

Cell[96899, 2693, 189, 4, 57, "Input"],

Cell[97091, 2699, 416, 7, 76, "Message"]

}, Open  ]],

Cell[97522, 2709, 357, 9, 137, "Input"],

Cell[97882, 2720, 536, 11, 164, "Input"],

Cell[98421, 2733, 279, 5, 91, "Input"],

Cell[98703, 2740, 562, 13, 164, "Input"],

Cell[99268, 2755, 366, 9, 137, "Input"],

Cell[99637, 2766, 465, 11, 164, "Input"],

Cell[100105, 2779, 228, 5, 91, "Input"],

Cell[100336, 2786, 185, 5, 380, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[100570, 2797, 72, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[100667, 2801, 46, 0, 86, "Subsubsection"],

Cell[100716, 2803, 428, 11, 139, "Input",

  CellTags->"definition-of-+-and-\[RawStar]"],

Cell[101147, 2816, 399, 11, 139, "Input"],

Cell[101549, 2829, 213, 5, 415, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[101799, 2839, 60, 0, 86, "Subsubsection"],

Cell[101862, 2841, 446, 12, 139, "Input",

  CellTags->"properties-of-+-and-\[RawStar]"],

Cell[102311, 2855, 240, 5, 125, "Input"],

Cell[102554, 2862, 441, 11, 137, "Input"],

Cell[102998, 2875, 369, 9, 137, "Input"],

Cell[103370, 2886, 286, 6, 125, "Input"],

Cell[103659, 2894, 379, 10, 137, "Input"],

Cell[104041, 2906, 349, 10, 91, "Input"],

Cell[104393, 2918, 280, 6, 125, "Input"],

Cell[104676, 2926, 376, 10, 91, "Input"],

Cell[105055, 2938, 618, 15, 249, "Input"],

Cell[105676, 2955, 285, 6, 125, "Input"],

Cell[105964, 2963, 357, 10, 91, "Input"],

Cell[106324, 2975, 555, 12, 249, "Input"],

Cell[106882, 2989, 267, 6, 125, "Input"],

Cell[107152, 2997, 376, 10, 91, "Input"],

Cell[107531, 3009, 179, 5, 380, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[107747, 3019, 30, 0, 86, "Subsubsection"],

Cell[107780, 3021, 409, 10, 139, "Input",

  CellTags->"power"],

Cell[108192, 3033, 371, 10, 91, "Input"],

Cell[108566, 3045, 642, 13, 285, "Input"],

Cell[109211, 3060, 373, 8, 159, "Input"],

Cell[109587, 3070, 98, 2, 65, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[109734, 3078, 66, 0, 101, "Subsection"],



Cell[CellGroupData[{

Cell[109825, 3082, 49, 0, 86, "Subsubsection"],

Cell[109877, 3084, 1160, 24, 175, "Input",

  CellTags->"length-of-concatenation"],

Cell[111040, 3110, 358, 9, 139, "Input"],

Cell[111401, 3121, 391, 10, 137, "Input"],

Cell[111795, 3133, 624, 13, 91, "Input"],

Cell[112422, 3148, 338, 8, 91, "Input"],

Cell[112763, 3158, 219, 5, 345, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[113019, 3168, 52, 0, 86, "Subsubsection"],

Cell[113074, 3170, 1372, 30, 256, "Input",

  CellTags->"reversion-of-concatenation"],

Cell[114449, 3202, 650, 17, 137, "Input"],

Cell[115102, 3221, 397, 10, 137, "Input"],

Cell[115502, 3233, 670, 15, 91, "Input"],

Cell[116175, 3250, 517, 12, 193, "Input"],

Cell[116695, 3264, 215, 5, 415, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[116947, 3274, 47, 0, 86, "Subsubsection"],

Cell[116997, 3276, 384, 10, 91, "Input",

  CellTags->"reversion-of-reversion"],

Cell[117384, 3288, 383, 10, 137, "Input"],

Cell[117770, 3300, 437, 11, 93, "Input"],

Cell[118210, 3313, 535, 12, 227, "Input"],

Cell[118748, 3327, 187, 5, 415, "Text"]

}, Open  ]]

}, Open  ]],



Cell[CellGroupData[{

Cell[118984, 3338, 30, 0, 101, "Subsection"],

Cell[119017, 3340, 369, 11, 100, "Text",

  CellTags->"functors"],

Cell[119389, 3353, 228, 7, 65, "Text"],

Cell[119620, 3362, 184, 7, 65, "Text"],

Cell[119807, 3371, 191, 6, 65, "Text"],

Cell[120001, 3379, 127, 2, 65, "Text"],

Cell[120131, 3383, 253, 7, 100, "Text"],

Cell[120387, 3392, 179, 7, 61, "Text"],

Cell[120569, 3401, 183, 5, 345, "Text"]

}, Open  ]],



Cell[CellGroupData[{

Cell[120789, 3411, 32, 0, 101, "Subsection"],

Cell[120824, 3413, 186, 6, 65, "Text",

  CellTags->"conclusion"],

Cell[121013, 3421, 231, 8, 65, "Text"],

Cell[121247, 3431, 239, 6, 100, "Text"],

Cell[121489, 3439, 586, 19, 135, "Text"],

Cell[122078, 3460, 109, 2, 65, "Text"],

Cell[122190, 3464, 45, 1, 193, "Input"],



Cell[CellGroupData[{

Cell[122260, 3469, 93, 1, 86, "Subsubsection",

  CellTags->"prediction"],

Cell[122356, 3472, 397, 10, 91, "Input"],

Cell[122756, 3484, 4676, 108, 353, "Input"],

Cell[127435, 3594, 109, 3, 57, "Input"],

Cell[127547, 3599, 179, 5, 65, "Text"]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}, Open  ]]

}

]

*)









(***********************************************************************

End of Mathematica Notebook file.

***********************************************************************)



